﻿© 2003 Fluke Corporation. All Rights Reserved.              MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
INSTRUMENT:            Sub Tek 72XX BANDWIDTH MEAS /9500+3200
INSTRUMENT:            Sub Tek 72XX TRIG LEVEL /9500+3200
INSTRUMENT:            Sub Tek 72XX TRIG CHECK /9500+3200
INSTRUMENT:            Sub Tek 72XX DELTA TIME CHECK /9500+3200
INSTRUMENT:            Sub Tek 72XX CROSSTALK CHECK /9500+3200
DATE:                  03-Apr-2003
AUTHOR:                Fluke
REVISION:              $Revision: 18173 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       416
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:  JRC
#
#  Compatibility:     MET/CAL 6.11A or later
# 
#  Subprocedures:     None
#
#  Required Files:    None
#
#  The procedure is intended for use with MET/CAL® calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Global Numeric Variables:
#        M[1] - M[6] used as temporary stores
#        M[90]  = Bandwidth Frequency
#        M[91]  = Value of input signal for trigger test
#        M[92]  = No of Channels to test
#        M[93]  = Delay edge selection 0-Negative / 1-Positive
#        M[94]  = Sec/div Range (second setup)
#        M[95]  = Nominal without scalar
#        M[96]  = 0 - Not-Invert / 1 - Invert
#        M[97]  = Sec/div Range
#        M[98]  = Scalar Value
#        M[99]  = Volts/div range
#        M[100] = Channel under test
#
#  Global String Variables:
#        S[1]   = Bandwidth
#        S[2]   = UUT Identification
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPT         1.009          Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  1.002  JMPT         1.040          Sub Tek 72XX BANDWIDTH MEAS /9500+3200
  1.003  JMPT         2.002          Sub Tek 72XX TRIG LEVEL /9500+3200
  1.004  JMPT         3.005          Sub Tek 72XX TRIG CHECK /9500+3200
  1.005  JMPT         5.002          Sub Tek 72XX DELTA TIME CHECK /9500+3200
  1.006  JMPT         7.005          Sub Tek 72XX CROSSTALK CHECK /9500+3200
  1.007  DISP         The subprocedure called has not been found!
  1.008  END

# ******************** DC VOLTAGE MEASUREMENT ACCURACY ********************

  1.009  IEEE         CH[M100]:SCA [M99];POS [M87];OFFS [M96]
  1.010  MATH         MEM=M[95]
# Select mV or V range on calibrator.
  1.011  JMPL         VOLTS_SETUP                  M[98] == 1
  1.012  9500         mV                                                S  L
  1.013  JMPL         SKIP_VOLTS_SETUP
  1.014  LABEL        GROUND_SETUP
  1.015  LABEL        VOLTS_SETUP
  1.016  9500         V                                                 S  L
  1.017  LABEL        SKIP_VOLTS_SETUP
# Select statistics Mean if DC Voltage Measurement else Normal Mean (VAL?)
  1.018  JMPL         MEAN_ONLY                    M[17] >= 1
  1.019  IEEE         [D4000]MEASU:MEAS1:VAL?[I]
  1.020  JMPL         DONE_MEASURING

  1.021  LABEL        MEAN_ONLY
  1.022  IEEE         MEASU:STATISTICS:COUNT
  1.023  IEEE         [D4000]MEASU:MEAS1:MEAN?[I]
  1.024  MATH         M[1]=MEM
  1.025  JMPL         DONE_MEASURING               M[17] == 1
# Measure gain accuracy
  1.026  MATH         MEM=M[85]
# Select mV or V range on calibrator.
  1.027  JMPL         VOLTS_SETUP2                 M[98] == 1
  1.028  9500         mV                                                S  L
  1.029  JMPL         SKIP_VOLTS_SETUP2

  1.030  LABEL        GROUND_SETUP2
  1.031  LABEL        VOLTS_SETUP2
  1.032  9500         V                                                 S  L
  1.033  LABEL        SKIP_VOLTS_SETUP2
  1.034  IEEE         MEASU:STATISTICS:COUNT
  1.035  IEEE         [D4000]MEASU:MEAS1:MEAN?[I]
  1.036  MATH         MEM=M[1]-MEM
  1.037  LABEL        DONE_MEASURING
  1.038  MATH         MEM=MEM*M[98]
  1.039  END

# ******************** BANDWIDTH ********************

# The UUT vertical gain is measured at the LF, and used to scale
# the HF measurement.
  1.040  IEEE         HOR:SCA [M97]
  1.041  IEEE         CH[M100]:COUP DC;IMP FIFTY
  1.042  IEEE         CH[M100]:SCA [M99]
  1.043  MATH         M[3]=M[95]*6
  1.044  MATH         MEM=M[3]
  1.045  9500         mVpp                         10MH           LS    S  L
  1.046  IEEE         TRIG:A SETL[D2000]
  1.047  IEEE         TRIG:STATE?[I$]
  1.048  JMPL         TRIGGED_OK                   CMPI(MEM2,"TRIGGER")!=-1
  1.049  DISP         Adjust the Trigger LEVEL control for a stable display.
  1.050  LABEL        TRIGGED_OK
  1.051  IEEE         [D5000]
  1.052  IEEE         MEASU:MEAS1:VAL?[I]
  1.053  MATH         M[2]=MEM
  1.054  IEEE         HOR:SCA [M94]
  1.055  MATH         MEM=M[3]
  1.056  JMPL         2.5GHz                       M[90] == 2.5E+9
  1.057  JMPL         1.5GHz                       M[90] == 1.5E+9
#  1.042  9500         mVpp                         4GH            LS    S  L
  1.058  JMPL         END_GHz_SETUP

  1.059  LABEL        2.5GHz
  1.060  9500         mVpp                         2.5GH          LS    S  L
  1.061  JMPL         END_GHz_SETUP

  1.062  LABEL        1.5GHz
  1.063  9500         mVpp                         1.5GH          LS    S  L
  1.064  JMPL         END_GHz_SETUP

  1.065  LABEL        END_GHz_SETUP
  1.066  IEEE         TRIG:A SETL[D2000]
  1.067  IEEE         TRIG:STATE?[I$]
  1.068  MATH         M[4]=CMPI(MEM2,"TRIGGER")
  1.069  JMPL         TRIGGED_OK1                  M[4] != -1
  1.070  DISP         Adjust the Trigger LEVEL control for a stable display.
  1.071  LABEL        TRIGGED_OK1
  1.072  MATH         MEM1=M[3]
  1.073  IEEE         [D5000]
  1.074  IEEE         MEASU:MEAS1:VAL?[I]
  1.075  MATH         MEM=((M[99]*6)/M[2])*MEM
  1.076  MATH         MEM=MEM*1E3
  1.077  MEME
  1.078  MEMC         mV             176U
  2.001  END

# ******************** EDGE TRIGGER LEVEL ********************

  2.002  JMPL         NEGATIVE_SLOPE_SETUP         M[93] == 0
  2.003  IEEE         TRIGGER:[SREG3]:EDGE:SLOPE RIS
  2.004  JMPL         SKIP_NEGATIVE_SLOPE_SETUP

  2.005  LABEL        NEGATIVE_SLOPE_SETUP
  2.006  IEEE         TRIGGER:[SREG3]:EDGE:SLOPE FALL
  2.007  LABEL        SKIP_NEGATIVE_SLOPE_SETUP
  2.008  IEEE         TRIG:A:EDGE:SOU CH[M100]
  2.009  IEEE         MEASU:METH MINM
  2.010  IEEE         MEASU:MEAS1:SOURCE1 CH[M100];TYP AMP
  2.011  IEEE         MEASU:MEAS1:STATE ON
  2.012  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 1
  2.013  IEEE         CH[M100]:SCA [M99]
  2.014  MATH         M[2]=0;M[3]=M[1]

# Adjust the calibrator O/P to M[3]mV +/- 5mV.
  2.015  LABEL        TRIGGER_INPUT_LEVEL_LOOP
  2.016  MATH         MEM=M[1];M[2]=M[2]+1
# Select correct frequency on calibrator for scope setup.
  2.017  JMPL         TRIG_500MHz_SETUP            M[90] == 500E+6
  2.018  JMPL         TRIG_1.5GHz_SETUP            M[90] == 1.5E+9
  2.019  JMPL         TRIG_2.5GHz_SETUP            M[90] == 2.5E+9
  2.020  JMPL         TRIG_3GHz_SETUP              M[90] == 3E+9
  2.021  JMPL         TRIG_4GHz_SETUP              M[90] == 4E+9
  2.022  9500         mVpp                         50MH           LS    S  L
  2.023  JMPL         TRIG_END_OF_FREQ_SETUP

  2.024  LABEL        TRIG_500MHz_SETUP
  2.025  9500         mVpp                         500MH          LS    S  L
  2.026  JMPL         TRIG_END_OF_FREQ_SETUP

  2.027  LABEL        TRIG_1.5GHz_SETUP
  2.028  9500         mVpp                         1.5GH          LS    S  L
  2.029  JMPL         TRIG_END_OF_FREQ_SETUP

  2.030  LABEL        TRIG_2.5GHz_SETUP
  2.031  9500         mVpp                         2.5GH          LS    S  L
  2.032  JMPL         TRIG_END_OF_FREQ_SETUP

  2.033  LABEL        TRIG_3GHz_SETUP
  2.034  9500         mVpp                         3GH            LS    S  L
  2.035  JMPL         TRIG_END_OF_FREQ_SETUP

  2.036  LABEL        TRIG_4GHz_SETUP
#  2.037  9500         mVpp                         4GH            LS    S  L
  2.037  LABEL        TRIG_END_OF_FREQ_SETUP
  2.038  IEEE         TRIG:A SETL[D6000]
  2.039  IEEE         MEASU:MEAS1:VAL?[I]
  2.040  JMPL         CALCULATE_ERROR              MEM >= (M[3]*1E-3)+5E-3
  2.041  JMPL         CALCULATE_ERROR              MEM <= (M[3]*1E-3)-5E-3
  2.042  JMPL         END_OF_SETUP

  2.043  LABEL        CALCULATE_ERROR
  2.044  JMPL         CAN'T_SETUP_LEVEL            M[2] == 10
  2.045  MATH         MEM=MEM*1E3
  2.046  MATH         M[1]=(M[3]-MEM)+M[1]
  2.047  JMPL         TRIGGER_INPUT_LEVEL_LOOP

# After 10 unsuccessful tries produce a FAIL result.
  2.048  LABEL        CAN'T_SETUP_LEVEL
  2.049  MATH         M[4]=0
  2.050  EVAL   -e M[4] : Unable to set the correct I/P amplitude level.
  3.001  END
  3.002  LABEL        END_OF_SETUP
  3.003  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
  3.004  END

# ******************** EDGE TRIGGER CHECK ********************

  3.005  LABEL        CHECK_FOR_TRIGGER
  3.006  MATH         M[86]=MEM
  3.007  JMPL         NEGATIVE_SLOPE               M[93] == 0
  3.008  IEEE         TRIGGER:[SREG3]:EDGE:SLOPE RIS
  3.009  JMPL         SKIP_NEGATIVE_SLOPE

  3.010  LABEL        NEGATIVE_SLOPE
  3.011  IEEE         TRIGGER:[SREG3]:EDGE:SLOPE FALL
  3.012  LABEL        SKIP_NEGATIVE_SLOPE
  3.013  MATH         MEM2="FAIL"
  3.014  JMPL         SKIP_SET_A                   CMPI(S[3],"B") == 1
  3.015  IEEE         TRIG:A SETL [D3000]
  3.016  IEEE         TRIG:A:LEV?[I]
  3.017  MATH         M[5]=MEM
  3.018  JMPL         SKIP_SET_B

  3.019  LABEL        SKIP_SET_A
  3.020  IEEE         TRIG:B SETL [D3000]
  3.021  LABEL        SKIP_SET_B
  3.022  IEEE         TRIG:STATE?[I$]
  3.023  JMPL         END_OF_TRIGGER_TEST          CMPI(MEM2,"TRIGGER") == 1
# If not triggered, increment trigger level through its range.
# Set trig level depending on whether rising or falling test.
  3.024  JMPL         NEGATIVE_TRIGGER_SETUP       M[93] == 0
  3.025  MATH         M[5]=MEM/2000
  3.026  JMPL         SKIP_NEGATIVE_TRIGGER_SETUP

  3.027  LABEL        NEGATIVE_TRIGGER_SETUP
  3.028  MATH         M[5]=-1*(MEM/2000)
  3.029  LABEL        SKIP_NEGATIVE_TRIGGER_SETUP

# Adjust the trigger level in 2mV steps until trigger is obtained.
  3.030  MATH         M[2]=0
  3.031  LABEL        ADJUST_TRIGGER_LEVEL
  3.032  IEEE         TRIG:[SREG3]:LEV [M5][D3000]
  3.033  LABEL        LAST_CHANCE
  3.034  MATH         M[2]=M[2]+1
  3.035  IEEE         TRIG:STATE?[I$]
  3.036  MATH         M[4]=CMPI(MEM2,"TRIGGER")
  3.037  JMPL         END_OF_TRIGGER_TEST          M[4] == 1
  3.038  JMPL         TRY_MANUALLY                 M[2]>=26
  3.039  JMPL         NEGATIVE_TRIGGER_ADD         M[93] == 0
  3.040  MATH         M[5]=M[5]-2E-3
  3.041  JMPL         SKIP_NEGATIVE_TRIGGER_ADD

  3.042  LABEL        NEGATIVE_TRIGGER_ADD
  3.043  MATH         M[5]=M[5]+2E-3
  3.044  LABEL        SKIP_NEGATIVE_TRIGGER_ADD
  3.045  JMPL         ADJUST_TRIGGER_LEVEL

# If no trigger obtained automatically, allow two attempts manually.
  3.046  LABEL        TRY_MANUALLY
  3.047  JMPL         END_OF_TRIGGER_TEST          M[2] == 28
  3.048  JMPL         ADJUST_B_MANUALLY            CMPI(S[3],"B") == 1
  3.049  DISP         The automated procedure is unable to obtain a stable
  3.049  DISP         trigger. Adjust the Trigger LEVEL control to try to
  3.049  DISP         obtain a stable trigger. (Two attempts allowed)
  3.050  JMPL         LAST_CHANCE

  3.051  LABEL        ADJUST_B_MANUALLY
  3.052  DISP         The automated procedure is unable to obtain a stable
  3.052  DISP         trigger. Try to obtain a stable trigger as follows:
  3.052  DISP         1. Use Trigger LEVEL knob to stabilise main trigger
  3.052  DISP         2. Touch TRIG button, B EVENT, B TRIG LEVEL
  3.052  DISP         3. Use keypad or multipurpose knob to stabilise B Trig
  3.053  JMPL         LAST_CHANCE


  3.054  LABEL        END_OF_TRIGGER_TEST
  3.055  MATH         MEM=M[86]
  3.056  MATH         M[3]=CMPI(MEM2,"TRIGGER")
  3.057  MATH         M[3]=M[3]+1
# Select appropriate result for positive or negative test.
  3.058  JMPL         NEGATIVE_RESULT              M[93] == 0
  3.059  EVAL   -e M[3]:rising slope  - stable trigger
  4.001  END
  4.002  LABEL        NEGATIVE_RESULT
  4.003  EVAL   -e M[3]:falling slope - stable trigger
  5.001  END

# ******************** DELTA TIME CHECK ********************

  5.002  IEEE         AUTOSET EXECUTE[D2000]
  5.003  IEEE         CH[M100]:SCA 50E-3;POS -2;OFFS 0
  5.004  IEEE         HOR:SCA 5E-9
  5.005  IEEE         ACQUIRE:REPET OFF
  5.006  IEEE         TRIG:A:EDGE:SOU CH[M100]
  5.007  IEEE         TRIG:A SETL [D2000]
  5.008  IEEE         TRIG:A:LEV 100e-3
  5.009  IEEE         ACQUIRE:STATE STOP
  5.010  IEEE         [S100]MEASU:MEAS1:SOURCE1 CH[M100];TYP PWI
  5.011  IEEE         MEASU:MEAS1:STATE ON
  5.012  IEEE         HOR:SCA 5E-9
  5.013  IEEE         MEASU:STATISTICS:MODE ALL
  5.013  IEEE         MEASU:STATISTICS:COUNT RESET
  5.013  IEEE         MEASU:STATISTICS:WEIGHTING 1000
  5.013  IEEE         MEASU:REFLEVEL:METHOD ABSOLUTE
  5.013  IEEE         MEASU:REFLEVEL:ABSOLUTE:MID 150E-3
  5.014  IEEE         ACQUIRE:STATE RUN[D30000]
  5.015  IEEE         ACQUIRE:STATE STOP


  5.016  IEEE         [D2000]MEASU:MEAS1:MAX?[I]
  5.017  MATH         M[1]=MEM
  5.018  IEEE         [D2000]MEASU:MEAS1:MINI?[I]
  5.019  MATH         M[2]=MEM
  5.020  IEEE         [D2000]MEASU:MEAS1:MEAN?[I]
  5.021  MATH         M[1]=M[1]-MEM;M[2]=MEM-M[2]
  5.022  ACC          6.000nT        1e-2U
  5.023  TOL          +0.040U
  5.024  MATH         MEM=M[1]*1E9;MEM1=0
  5.025  MEME
  5.026  MEMC         nT             TOL
  6.001  ACC          6.000nT        1e-2U
  6.002  MATH         MEM2=S[2]
  6.003  JMPL         7104_TOL                     CMPI(MEM2,"TDS7104") == 1
  6.004  JMPL         7054_TOL                     CMPI(MEM2,"TDS7054") == 1
  6.005  TOL          +0.040U
  6.006  JMPL         END_TOL

  6.007  LABEL        7104_TOL
  6.008  TOL          +0.030U
  6.009  JMPL         END_TOL

  6.010  LABEL        7054_TOL
  6.011  TOL          +0.060U
  6.012  LABEL        END_TOL

  6.013  MATH         MEM=M[2]*1E9;MEM1=0
  6.014  MEME
  6.015  MEMC         nT             TOL
  7.001  END

# ******************** CROSSTALK CHECK ********************

  7.002  LABEL        CROSSTALK_CHECK
  7.003  TARGET
  7.004  MATH         M[1]=0;M[2]=0;M[3]=0
  7.005  IEEE         MEASU:MEAS1:TYP AMP
  7.006  IEEE         MEASU:MEAS1:STATE ON
# First channel measure
  7.007  JMPL         FIRST_CH2                    M[100] == 1
  7.008  IEEE         MEASU:MEAS1:SOURCE1 CH1[D9000]
  7.009  JMPL         END_FIRST_MEASURE

  7.010  LABEL        FIRST_CH2
  7.011  IEEE         MEASU:MEAS1:SOURCE1 CH2[D9000]
  7.012  LABEL        END_FIRST_MEASURE
  7.013  IEEE         MEASU:MEAS1:VAL?[I]
  7.014  MATH         M[1]=MEM
# Second channel measure
  7.015  JMPL         SECOND_CH3                   M[100] < 3
  7.016  IEEE         MEASU:MEAS1:SOURCE1 CH2[D5000]
  7.017  JMPL         END_SECOND_MEASURE

  7.018  LABEL        SECOND_CH3
  7.019  IEEE         MEASU:MEAS1:SOURCE1 CH3[D5000]
  7.020  LABEL        END_SECOND_MEASURE
  7.021  IEEE         MEASU:MEAS1:VAL?[I]
  7.022  MATH         M[2]=MEM
# Third channel measure
  7.023  JMPL         THIRD_CH4                    M[100] < 4
  7.024  IEEE         MEASU:MEAS1:SOURCE1 CH3[D5000]
  7.025  JMPL         END_THIRD_MEASURE

  7.026  LABEL        THIRD_CH4
  7.027  IEEE         MEASU:MEAS1:SOURCE1 CH4[D5000]
  7.028  LABEL        END_THIRD_MEASURE
  7.029  IEEE         MEASU:MEAS1:VAL?[I]
  7.030  MATH         M[3]=MEM
# Find largest amplitude
  7.031  MATH         MEM = MAX(1, 3)

  7.032  MATH         MEM=MEM/M[99];MEM1=0
  7.033  MEME
  7.034  JMPL         1.5GHZ_TEST                  M[90] < 2.5E9
  7.035  MEMC         div            +0.670U 0U
  8.001  END
  8.002  TARGET
  8.003  JMPL         CROSSTALK_CHECK

  8.004  LABEL        1.5GHZ_TEST
  8.005  MEMC         div            +0.125U 0U
  9.001  END
