﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek TDS 7254: (1 year) VER IEEE /9500/3200,PM6681
DATE:                  2017-02-06 12:55:50
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       289
NUMBER OF LINES:       3448
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
CONFIGURATION:         Philips PM 6681
=============================================================================
#
#  Procedure Author:  JRC
#
#  Source:            Tektronix TDS 7000 Series Performance Verification
#                     Manual, Part No. 071-0898-00, August 30, 2002
#
#  Compatibility:     MET/CAL 6.11A or later
#
#  Additional Equipment Required:
#                     Terminator, 50 Ohm, BNC(m), 3 ea.
#                     Coaxial cable, 20", 50 Ohm, SMA (m-m), 2 ea.
#                     Terminator, short circuit, SMA, 2 ea.
#                     Coaxial cable, 50 Ohm, BNC(m) to SMA(m)
#                     Terminator, feedthrough, 50 Ohm, BNC
#                     Coaxial cable, 50 Ohm, BNC, (m)-(m)
#                     Attenuator, BNC, 2X
#                     Tee, BNC, (f)-(m)-(f)
#                     Adapter, BNC(m) to SMA(f)
#                     Tee, SMA, (f)-(m)-(f)
#
#  The procedure is intended for use with MET/CAL® calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Global Numeric Variables:
#        M[1] - M[6] used as temporary stores
#        M[7]   = Inter Channel delay
#        M[8]   = Inter Channel delay
#        M[9]   = Inter Channel delay
#        M[10]  = DC +ve mean
#        M[11]  = DC -ve mean
#        M[12]  = BW lo freq value
#        M[13]  = BW reading
#        M[14]  = No of trigger tries to get level
#        M[15]  = Stores original UUT VERBOSE setting
#        M[16]  = Stores original UUT HEAD setting
#        M[17]  = DC volts measure=1
#        M[87]  = Vertical position
#        M[88]  = OPC timeout in ms
#        M[90]  = Bandwidth Frequency
#        M[91]  = Value of input signal for trigger test
#        M[92]  = No of Channels to test
#        M[93]  = Delay edge selection 0-Negative / 1-Positive
#        M[94]  = Sec/div Range (second setup)
#        M[95]  = Nominal without scalar
#        M[96]  = 0ffset
#        M[97]  = Sec/div Range
#        M[98]  = Scalar Value
#        M[99]  = Volts/div range
#        M[100] = Channel under test
#        M[102] = Channel Connected
#
#  Local Numeric Variables:
#        L[1]  = None
#
#  Global String Variables:
#        S[1]   = Bandwidth
#        S[2]   = UUT Identification
#        S[3]   = A or B Trigger
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         PROC_START
  1.002  M9500                       CH1
  1.003  9500         2.5GH                        1Vpp           LS    S  L
  1.004  LABEL        PROC_START

  1.005  ASK-   R     N              P                            A        V
  1.006  ASK+     D

  1.007  HEAD         Personnel Safety
  1.008  DISP         Dangerous voltages may be present during this process,
  1.008  DISP         always check it is safe to do so before touching any
  1.008  DISP         electrical connections.

  1.009  DISP         Additional Equipment Required (1 of 2):
  1.009  DISP
  1.009  DISP         - Terminator, 50 Ohm, BNC, 3 ea.
  1.009  DISP         - Adapter, SMA(f) to BNC(m)
  1.009  DISP         - Coaxial cable, BNC(m) to SMA(m)
  1.009  DISP         - Coaxial cable, BNC(m) to BNC(m)
  1.009  DISP         - Terminator, feedthrough, 50 Ohm, BNC

  1.010  DISP         Additional Equipment Required (2 of 2):
  1.010  DISP         [32](For Delta Time check, make up as per display)
  1.010  DISP         - Cable, 20", SMA (m-m), Tektronix 174-1427-00, 2 ea.
  1.010  DISP         - Terminator, short circuit, SMA(f), 2 ea.
  1.010  DISP         - Attenuator, BNC, 2X
  1.010  DISP         - Tee, BNC, (f)-(m)-(f)
  1.010  DISP         - Tee, SMA, (f)-(m)-(f)
  1.010  DISP         - Adapter, BNC(m) to SMA(f)

  1.011  HEAD         UUT IDENTIFICATION
  1.012  IEEE         *RST;*CLS
  1.013  IEEE         *WAI
  1.014  IEEE         HEADER OFF
  1.015  LABEL        UUT_Identification
  1.016  IEEE         *IDN?[I$]
  1.017  MATH         S[2]=FLD(MEM2,2,",")
  1.018  JMPL         TDS_7254                     FIND(S[2],"TDS7254",1)
  1.019  DISP         This procedure could not identify a valid UUT.
  1.019  DISP         Ensure that a valid UUT is correctly connected.
  1.020  JMPL         UUT_Identification

  1.021  LABEL        TDS_7254
  1.022  MATH         M[92]=4;M[90]=2.5e9
  1.023  DISP         Connect the Calibrator to the [S2] as follows:
  1.023  DISP         [32]
  1.023  DISP         CH1 9530 Active Head to [S2] CH1 input.
  1.023  DISP         50 Ohm terminator to [S2] CH2 input.
  1.023  DISP         50 Ohm terminator to [S2] CH3 input.
  1.023  DISP         50 Ohm terminator to [S2] CH4 input.
  1.023  DISP         [32]
  1.024  MATH         M[102]=1

  1.025  HEAD         UUT Warm Up
  1.026  DISP         Ensure that the [S2] has been operating continuously
  1.026  DISP         for twenty minutes prior to continuing.
  1.027  HEAD

  1.028  HEAD         Information
  1.029  DISP         The Maximum Input Voltage Tests result in warning
  1.029  DISP         windows appearing on the UUT screen. These windows
  1.029  DISP         can be ignored (or cleared manually).
  1.030  HEAD

 # ******************** SELF-TEST ********************

  1.031  HEAD         SELF-TEST
  1.032  MATH         M[1]=-1;M[2]=0;M[3]=0;M[4]=0;M[5]=0
  1.033  RSLT         =
  1.034  TARGET
  1.035  OPBR         Do you wish to perform the UUT Self-Test?
  1.036  JMPL         DO_SELF_TEST                 MEM1 > 0
  1.037  OPBR         Has Self-Test been run previously?
  1.038  JMPL         NO_SELF_TEST                 MEM1 < 0
  1.039  OPBR         Did Self-Test pass the previous run?
  1.040  JMPL         PASS_TEST                    MEM1 > 0
  1.041  MATH         M[1]=-1;M[2]=1
  1.042  JMPL         DO_SELF_TEST

  1.043  LABEL        NO_SELF_TEST
  1.044  RSLT         =SELF-TEST not performed.
  1.045  MATH         M[2]=2
  1.046  JMPL         DO_SELF_TEST

  1.047  LABEL        PASS_TEST
  1.048  MATH         M[1]=1;M[2]=1
  1.049  JMPL         DO_SELF_TEST

  1.050  LABEL        DO_SELF_TEST
  1.051  MATH         M[3]=0
  1.052  OPBR         Do you wish to perform the UUT Signal Path Compensation?
  1.053  JMPL         DO_SPC                       MEM1 > 0
  1.054  OPBR         Has Signal Path Compensation been run previously?
  1.055  JMPL         NO_SPC                       MEM1 < 0
  1.056  OPBR         Did Signal Path Compensation pass the previous run?
  1.057  JMPL         PASS_SPC                     MEM1 > 0
  1.058  MATH         M[3]=-1;M[5]=1
  1.059  JMPL         DO_SPC

  1.060  LABEL        NO_SPC
  1.061  RSLT         =SIGNAL COMPENSATION TEST not performed.
  1.062  MATH         M[5]=2
  1.063  JMPL         END_TEST

  1.064  LABEL        PASS_SPC
  1.065  MATH         M[3]=1;M[5]=1

  1.066  LABEL        DO_SPC
  1.067  JMPL         END_TEST                     M[2] == 2
  1.068  JMPL         RESULT                       M[2] == 1
  1.069  TARGET
  1.070  MATH         MEM2="FAIL";M[4]=0
  1.071  HEAD         SELF TEST IN PROGRESS
  1.072  IEEE         [S100]DIAG:SELECT:ALL
  1.073  IEEE         [S100]DIAG:EXECUTE

  1.074  LABEL        SELF_TEST_LOOP
  1.075  HEAD         PERFORMING SELF-TEST [D100]
  1.076  HEAD         PERFORMING SELF-TEST >[D100]
  1.077  HEAD         PERFORMING SELF-TEST ->[D100]
  1.078  HEAD         PERFORMING SELF-TEST --->[D100]
  1.079  HEAD         PERFORMING SELF-TEST ----->[D100]
  1.080  MATH         M[4]=M[4]+1
  1.081  JMPL         SELF_TEST_LOOP               M[4] < 200
  1.082  IEEE         DIAG:RESULT?[I$]
  1.083  MATH         MEM=FINDI(MEM2,"Pass",1)
  1.084  JMPL         RESULT                       MEM == 0
  1.085  MATH         M[1]=1

  1.086  LABEL        RESULT
  1.087  MATH         M[1]=M[1]+1
  1.088  EVAL   -e M[1]:SELF TEST
  2.001  LABEL        END_TEST

  2.002  JMPL         FINISH                       M[5] == 2
  2.003  JMPL         SPC_RESULT                   M[5] == 1
  2.004  HEAD         SIGNAL PATH COMPENSATION IN PROGRESS
  2.005  MATH         MEM=0
  2.006  IEEE         *CAL?
  2.007  IEEE         [T0]CAL:RESULTS:SPC?[I$]
  2.008  MATH         M[3]=CMPI(MEM2,"PASS")

  2.009  LABEL        SPC_RESULT
  2.010  MATH         M[3]=M[3]+1
  2.011  EVAL   -e M[3]:SIGNAL PATH COMPENSATION
  3.001  LABEL        FINISH

#******************** DC VOLTAGE MEASUREMENT ACCURACY ********************

  3.002  LABEL        DC_VOLTAGE_TEST
  3.003  JMPL         CH2_DC_VOLTAGE_TEST          M[102]!=1
  3.004  HEAD         {DC VOLTAGE MEASUREMENT ACCURACY}
  3.005  MATH         M[17]=1
  3.006  9500         *                                                 S
  3.007  IEEE         FACTORY
  3.008  IEEE         HEADER OFF
  3.009  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

  3.010  HEAD         DC VOLTAGE MEASUREMENT ACCURACY CHANNEL 1
  3.011  RSLT         =CHANNEL 1
  3.012  MATH         M[100]=1
  3.013  IEEE         SEL:CH1 ON
  3.014  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
  3.015  IEEE         MEASU:MEAS1:SOURCE1 CH1;TYP MEAN
  3.016  IEEE         MEASU:MEAS1:STATE ON
  3.017  IEEE         MEASU:STATISTICS:MODE VALUEM
  3.018  IEEE         MEASU:STATISTICS:WEIGHTING 2
  3.019  IEEE         MEASU:STATISTICS:COUNT RESET
  3.020  M9500                       CH1

  3.021  TARGET
  3.022  MATH         M[95]=516;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
  3.023  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  3.024  ACC          516.00mV       1.54e-1U
  3.025  MEME
  3.026  MEMC         mV             3.21U

  4.001  MATH         M[95]=-516;M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
  4.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  4.003  ACC          -516.00mV      1.54e-1U
  4.004  MEME
  4.005  MEMC         mV             3.21U

  5.001  MATH         M[95]=900;M[99]=50E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
  5.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  5.003  ACC          900.00mV       0.25U
  5.004  MEME
  5.005  MEMC         mV             18.38U

  6.001  MATH         M[95]=-900;M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
  6.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  6.003  ACC          -900.00mV      0.25U
  6.004  MEME
  6.005  MEMC         mV             18.38U

  7.001  MATH         M[95]=5.5;M[99]=100E-3;M[98]=1;M[96]=+4.8;M[87]=-5
  7.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  7.003  ACC          5.50V          1.4e-3U
  7.004  MEME
  7.005  MEMC         V              0.06U

  8.001  MATH         M[95]=-5.5;M[99]=100E-3;M[98]=1;M[96]=-4.8;M[87]=+5
  8.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  8.003  ACC          -5.50V         1.4e-3U
  8.004  MEME
  8.005  MEMC         V              0.06U

  9.001  MATH         M[95]=4.5;M[99]=1;M[98]=1;M[96]=+2.5;M[87]=-5
  9.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
  9.003  ACC          4.50V          1.15e-3U
  9.004  MEME
  9.005  MEMC         V              0.33U

 10.001  MATH         M[95]=-4.5;M[99]=1;M[98]=1;M[96]=-2.5;M[87]=+5
 10.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 10.003  ACC          -4.50V         1.15e-3U
 10.004  MEME
 10.005  MEMC         V              0.33U
 11.001  9500         *                                                 S

 11.002  LABEL        CH2_DC_VOLTAGE_TEST
 11.003  HEAD         DC VOLTAGE MEASUREMENT ACCURACY CHANNEL 2
 11.004  JMPL         CH3_DC_VOLTAGE_TEST          M[102]!=2
 11.005  DISP         [32]
 11.005  DISP         CH1 9530 Active Head to [S2] CH2 input.
 11.005  DISP         50 Ohm terminator to [S2] CH1 input.
 11.005  DISP         50 Ohm terminator to [S2] CH3 input.
 11.005  DISP         50 Ohm terminator to [S2] CH4 input.
 11.005  DISP         [32]
 11.006  MATH         M[17]=1
 11.007  9500         *                                                 S
 11.008  IEEE         FACTORY
 11.009  IEEE         HEADER OFF
 11.010  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

 11.011  HEAD         DC VOLTAGE MEASUREMENT ACCURACY CHANNEL 2
 11.012  RSLT         =CHANNEL 2
 11.013  MATH         M[100]=2
 11.014  IEEE         SEL:CH2 ON;CH1 OFF;CH3 OFF;CH4 OFF
 11.015  IEEE         TRIG:A:EDGE:SOU CH2;COUP DC;SLO RIS
 11.016  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP MEAN
 11.017  IEEE         MEASU:MEAS1:STATE ON
 11.018  IEEE         MEASU:STATISTICS:MODE VALUEM
 11.019  IEEE         MEASU:STATISTICS:WEIGHTING 2
 11.020  IEEE         MEASU:STATISTICS:COUNT RESET

 11.021  TARGET
 11.022  MATH         M[95]=516;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
 11.023  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 11.024  ACC          516.00mV       1.54e-1U
 11.025  MEME
 11.026  MEMC         mV             3.21U

 12.001  MATH         M[95]=-516;M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 12.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 12.003  ACC          -516.00mV      1.54e-1U
 12.004  MEME
 12.005  MEMC         mV             3.21U

 13.001  MATH         M[95]=900;M[99]=50E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
 13.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 13.003  ACC          900.00mV       0.25U
 13.004  MEME
 13.005  MEMC         mV             18.38U

 14.001  MATH         M[95]=-900;M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 14.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 14.003  ACC          -900.00mV      0.25U
 14.004  MEME
 14.005  MEMC         mV             18.38U

 15.001  MATH         M[95]=5.5;M[99]=100E-3;M[98]=1;M[96]=+4.8;M[87]=-5
 15.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 15.003  ACC          5.50V          1.4e-3U
 15.004  MEME
 15.005  MEMC         V              0.06U

 16.001  MATH         M[95]=-5.5;M[99]=100E-3;M[98]=1;M[96]=-4.8;M[87]=+5
 16.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 16.003  ACC          -5.50V         1.4e-3U
 16.004  MEME
 16.005  MEMC         V              0.06U

 17.001  MATH         M[95]=4.5;M[99]=1;M[98]=1;M[96]=+2.5;M[87]=-5
 17.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 17.003  ACC          4.50V          1.15e-3U
 17.004  MEME
 17.005  MEMC         V              0.33U

 18.001  MATH         M[95]=-4.5;M[99]=1;M[98]=1;M[96]=-2.5;M[87]=+5
 18.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 18.003  ACC          -4.50V         1.15e-3U
 18.004  MEME
 18.005  MEMC         V              0.33U
 19.001  9500         *                                                 S

 19.002  LABEL        CH3_DC_VOLTAGE_TEST
 19.003  HEAD         DC VOLTAGE MEASUREMENT ACCURACY CHANNEL 3
 19.004  JMPL         CH4_DC_VOLTAGE_TEST          M[102]!=3
 19.005  DISP         [32]
 19.005  DISP         CH1 9530 Active Head to [S2] CH3 input.
 19.005  DISP         50 Ohm terminator to [S2] CH1 input.
 19.005  DISP         50 Ohm terminator to [S2] CH2 input.
 19.005  DISP         50 Ohm terminator to [S2] CH4 input.
 19.005  DISP         [32]
 19.006  MATH         M[17]=1
 19.007  9500         *                                                 S
 19.008  IEEE         FACTORY
 19.009  IEEE         HEADER OFF
 19.010  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

 19.011  HEAD         DC VOLTAGE MEASUREMENT ACCURACY CHANNEL 3
 19.012  RSLT         =CHANNEL 3
 19.013  MATH         M[100]=3
 19.014  IEEE         SEL:CH3 ON;CH1 OFF;CH2 OFF;CH4 OFF
 19.015  IEEE         TRIG:A:EDGE:SOU CH3;COUP DC;SLO RIS
 19.016  IEEE         MEASU:MEAS1:SOURCE1 CH3;TYP MEAN
 19.017  IEEE         MEASU:MEAS1:STATE ON
 19.018  IEEE         MEASU:STATISTICS:MODE VALUEM
 19.019  IEEE         MEASU:STATISTICS:WEIGHTING 2
 19.020  IEEE         MEASU:STATISTICS:COUNT RESET

 19.021  TARGET
 19.022  MATH         M[95]=516;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
 19.023  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 19.024  ACC          516.00mV       1.54e-1U
 19.025  MEME
 19.026  MEMC         mV             3.21U

 20.001  MATH         M[95]=-516;M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 20.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 20.003  ACC          -516.00mV      1.54e-1U
 20.004  MEME
 20.005  MEMC         mV             3.21U

 21.001  MATH         M[95]=900;M[99]=50E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
 21.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 21.003  ACC          900.00mV       0.25U
 21.004  MEME
 21.005  MEMC         mV             18.38U

 22.001  MATH         M[95]=-900;M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 22.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 22.003  ACC          -900.00mV      0.25U
 22.004  MEME
 22.005  MEMC         mV             18.38U

 23.001  MATH         M[95]=5.5;M[99]=100E-3;M[98]=1;M[96]=+4.8;M[87]=-5
 23.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 23.003  ACC          5.50V          1.4e-3U
 23.004  MEME
 23.005  MEMC         V              0.06U

 24.001  MATH         M[95]=-5.5;M[99]=100E-3;M[98]=1;M[96]=-4.8;M[87]=+5
 24.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 24.003  ACC          -5.50V         1.4e-3U
 24.004  MEME
 24.005  MEMC         V              0.06U

 25.001  MATH         M[95]=4.5;M[99]=1;M[98]=1;M[96]=+2.5;M[87]=-5
 25.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 25.003  ACC          4.50V          1.15e-3U
 25.004  MEME
 25.005  MEMC         V              0.33U

 26.001  MATH         M[95]=-4.5;M[99]=1;M[98]=1;M[96]=-2.5;M[87]=+5
 26.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 26.003  ACC          -4.50V         1.15e-3U
 26.004  MEME
 26.005  MEMC         V              0.33U
 27.001  9500         *                                                 S

 27.002  LABEL        CH4_DC_VOLTAGE_TEST
 27.003  HEAD         DC VOLTAGE MEASUREMENT ACCURACY CHANNEL 4
 27.004  JMPL         END_DC_VOLTAGE_TEST          M[102]!=4
 27.005  DISP         [32]
 27.005  DISP         CH1 9530 Active Head to [S2] CH4 input.
 27.005  DISP         50 Ohm terminator to [S2] CH1 input.
 27.005  DISP         50 Ohm terminator to [S2] CH2 input.
 27.005  DISP         50 Ohm terminator to [S2] CH3 input.
 27.005  DISP         [32]
 27.006  MATH         M[17]=1
 27.007  9500         *                                                 S
 27.008  IEEE         FACTORY
 27.009  IEEE         HEADER OFF
 27.010  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

 27.011  HEAD         DC VOLTAGE MEASUREMENT ACCURACY CHANNEL 4
 27.012  RSLT         =CHANNEL 4
 27.013  MATH         M[100]=4
 27.014  IEEE         SEL:CH4 ON;CH1 OFF;CH2 OFF;CH3 OFF
 27.015  IEEE         TRIG:A:EDGE:SOU CH4;COUP DC;SLO RIS
 27.016  IEEE         MEASU:MEAS1:SOURCE1 CH4;TYP MEAN
 27.017  IEEE         MEASU:MEAS1:STATE ON
 27.018  IEEE         MEASU:STATISTICS:MODE VALUEM
 27.019  IEEE         MEASU:STATISTICS:WEIGHTING 2
 27.020  IEEE         MEASU:STATISTICS:COUNT RESET

 27.021  TARGET
 27.022  MATH         M[95]=516;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
 27.023  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 27.024  ACC          516.00mV       1.54e-1U
 27.025  MEME
 27.026  MEMC         mV             3.21U

 28.001  MATH         M[95]=-516;M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 28.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 28.003  ACC          -516.00mV      1.54e-1U
 28.004  MEME
 28.005  MEMC         mV             3.21U

 29.001  MATH         M[95]=900;M[99]=50E-3;M[98]=1E3;M[96]=+0.5;M[87]=-5
 29.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 29.003  ACC          900.00mV       0.25U
 29.004  MEME
 29.005  MEMC         mV             18.38U

 30.001  MATH         M[95]=-900;M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 30.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 30.003  ACC          -900.00mV      0.25U
 30.004  MEME
 30.005  MEMC         mV             18.38U

 31.001  MATH         M[95]=5.5;M[99]=100E-3;M[98]=1;M[96]=+4.8;M[87]=-5
 31.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 31.003  ACC          5.50V          1.4e-3U
 31.004  MEME
 31.005  MEMC         V              0.06U

 32.001  MATH         M[95]=-5.5;M[99]=100E-3;M[98]=1;M[96]=-4.8;M[87]=+5
 32.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 32.003  ACC          -5.50V         1.4e-3U
 32.004  MEME
 32.005  MEMC         V              0.06U

 33.001  MATH         M[95]=4.5;M[99]=1;M[98]=1;M[96]=+2.5;M[87]=-5
 33.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 33.003  ACC          4.50V          1.15e-3U
 33.004  MEME
 33.005  MEMC         V              0.33U

 34.001  MATH         M[95]=-4.5;M[99]=1;M[98]=1;M[96]=-2.5;M[87]=+5
 34.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 34.003  ACC          -4.50V         1.15e-3U
 34.004  MEME
 34.005  MEMC         V              0.33U
 35.001  LABEL        END_DC_VOLTAGE_TEST
 35.002  9500         *                                                 S
 35.003  MATH         M[17]=0

#******************** DC GAIN ACCURACY ********************

 35.004  HEAD         DC GAIN ACCURACY
 35.005  JMPL         CH2_DC_GAIN_TEST             M[102]!=1
 35.006  RSLT         = DC GAIN ACCURACY
 35.007  MATH         M[17]=2
 35.008  9500         *                                                 S
 35.009  IEEE         FACTORY
 35.010  IEEE         HEADER OFF
 35.011  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

 35.012  HEAD         DC GAIN ACCURACY CHANNEL 1
 35.013  RSLT         =CHANNEL 1
 35.014  MATH         M[100]=1
 35.015  IEEE         SEL:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
 35.016  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
 35.017  IEEE         MEASU:MEAS1:SOURCE1 CH1;TYP MEAN
 35.018  IEEE         MEASU:MEAS1:STATE ON
 35.019  IEEE         MEASU:STATISTICS:MODE VALUEM
 35.020  IEEE         MEASU:STATISTICS:WEIGHTING 2
 35.021  IEEE         MEASU:STATISTICS:COUNT RESET
 35.022  M9500                       CH1

 35.023  RSLT         =2 mV/div
 35.024  TARGET
 35.025  MATH         M[95]=7.6;M[85]=-7.6
 35.026  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0;M[87]=0
 35.027  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 35.028  ACC          15.200mV       2.69e-2U
 35.029  MEME
 35.030  MEMC         mV             0.380U

 36.001  MATH         M[95]=517.6;M[85]=502.4
 36.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 36.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 36.004  ACC          15.200mV       1.5425e-1U
 36.005  MEME
 36.006  MEMC         mV             0.845U

 37.001  MATH         M[95]=-517.6;M[85]=-502.4
 37.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 37.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 37.004  ACC          -15.200mV      1.5425e-1U
 37.005  MEME
 37.006  MEMC         mV             0.845U

 38.001  RSLT         =5 mV/div
 38.002  TARGET
 38.003  MATH         M[95]=19.0;M[85]=-19.0
 38.004  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0;M[87]=0
 38.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 38.006  ACC          38.000mV       3.45e-2U
 38.007  MEME
 38.008  MEMC         mV             0.760U

 39.001  MATH         M[95]=544;M[85]=506
 39.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 39.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 39.004  ACC          38.000mV       0.161U
 39.005  MEME
 39.006  MEMC         mV             1.159U

 40.001  MATH         M[95]=-544;M[85]=-506
 40.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 40.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 40.004  ACC          -38.000mV      0.161U
 40.005  MEME
 40.006  MEMC         mV             1.159U

 41.001  RSLT         =10 mV/div
 41.002  TARGET
 41.003  MATH         M[95]=38.0;M[85]=-38.0
 41.004  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0;M[87]=0
 41.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 41.006  ACC          76.000mV       3.45e-2U
 41.007  MEME
 41.008  MEMC         mV             1.520U

 42.001  MATH         M[95]=588;M[85]=512
 42.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 42.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 42.004  ACC          76.000mV       0.172U
 42.005  MEME
 42.006  MEMC         mV             2.356U

 43.001  MATH         M[95]=-588;M[85]=-512
 43.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 43.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 43.004  ACC          -76.000mV      0.172U
 43.005  MEME
 43.006  MEMC         mV             2.356U

 44.001  RSLT         =20 mV/div
 44.002  TARGET
 44.003  MATH         M[95]=76.0;M[85]=-76.0
 44.004  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0;M[87]=0
 44.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 44.006  ACC          152.000mV      4.4e-2U
 44.007  MEME
 44.008  MEMC         mV             3.040U

 45.001  MATH         M[95]=676;M[85]=524
 45.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 45.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 45.004  ACC          152.000mV      0.194U
 45.005  MEME
 45.006  MEMC         mV             4.864U

 46.001  MATH         M[95]=-676;M[85]=-524
 46.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 46.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 46.004  ACC          -152.000mV     0.194U
 46.005  MEME
 46.006  MEMC         mV             4.864U

 47.001  RSLT         =50 mV/div
 47.002  TARGET
 47.003  MATH         M[95]=190;M[85]=-190
 47.004  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0;M[87]=0
 47.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 47.006  ACC          380.000mV      7.25e-2U
 47.007  MEME
 47.008  MEMC         mV             7.600U

 48.001  MATH         M[95]=940;M[85]=560
 48.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 48.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 48.004  ACC          380.000mV      0.26U
 48.005  MEME
 48.006  MEMC         mV             13.300U

 49.001  MATH         M[95]=-940;M[85]=-560
 49.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 49.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 49.004  ACC          -380.000mV     0.26U
 49.005  MEME
 49.006  MEMC         mV             13.300U

 50.001  RSLT         =100 mV/div
 50.002  TARGET
 50.003  MATH         M[95]=380;M[85]=-380
 50.004  MATH         M[99]=100E-3;M[98]=1E3;M[96]=0;M[87]=0
 50.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 50.006  ACC          760.000mV      0.12U
 50.007  MEME
 50.008  MEMC         mV             15.200U

 51.001  MATH         M[95]=4880;M[85]=4120
 51.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=4.5;M[87]=0
 51.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 51.004  ACC          760.000mV      1.245U
 51.005  MEME
 51.006  MEMC         mV             22.040U

 52.001  MATH         M[95]=-4880;M[85]=-4120
 52.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=-4.5;M[87]=0
 52.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 52.004  ACC          -760.000mV     1.245U
 52.005  MEME
 52.006  MEMC         mV             22.040U

 53.001  RSLT         =200 mV/div
 53.002  TARGET
 53.003  MATH         M[95]=0.760;M[85]=-0.760
 53.004  MATH         M[99]=200E-3;M[98]=1;M[96]=0;M[87]=0
 53.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 53.006  ACC          1.520V         2.15e-4U
 53.007  MEME
 53.008  MEMC         V              0.030U

 54.001  MATH         M[95]=4.96;M[85]=3.44
 54.002  MATH         M[99]=200E-3;M[98]=1;M[96]=4.6;M[87]=2
 54.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 54.004  ACC          1.520V         1.265e-3U
 54.005  MEME
 54.006  MEMC         V              0.043U

 55.001  MATH         M[95]=-4.96;M[85]=-3.44
 55.002  MATH         M[99]=200E-3;M[98]=1;M[96]=-4.6;M[87]=-2
 55.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 55.004  ACC          -1.520V        1.265e-3U
 55.005  MEME
 55.006  MEMC         V              0.043U

 56.001  RSLT         =500 mV/div
 56.002  TARGET
 56.003  MATH         M[95]=1.9;M[85]=-1.9
 56.004  MATH         M[99]=500E-3;M[98]=1;M[96]=0;M[87]=0
 56.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 56.006  ACC          3.800V         2.150e-4U
 56.007  MEME
 56.008  MEMC         V              0.076U

 57.001  MATH         M[95]=4.9;M[85]=1.1
 57.002  MATH         M[99]=500E-3;M[98]=1;M[96]=5;M[87]=4
 57.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 57.004  ACC          3.800V         1.25e-3U
 57.005  MEME
 57.006  MEMC         V              0.099U

 58.001  MATH         M[95]=-4.9;M[85]=-1.1
 58.002  MATH         M[99]=500E-3;M[98]=1;M[96]=-5;M[87]=-4
 58.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 58.004  ACC          -3.800V        1.25e-3U
 58.005  MEME
 58.006  MEMC         V              0.099U

 59.001  RSLT         =1 V/div
 59.002  TARGET
 59.003  MATH         M[95]=3.8;M[85]=-3.8
 59.004  MATH         M[99]=1;M[98]=1;M[96]=0;M[87]=0
 59.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 59.006  ACC          7.600V         9.75e-4U
 59.007  MEME
 59.008  MEMC         V              0.152U

 60.001  MATH         M[95]=5;M[85]=-1
 60.002  MATH         M[99]=1;M[98]=1;M[96]=2;M[87]=0
 60.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 60.004  ACC          6.000V         1.275e-3U
 60.005  MEME
 60.006  MEMC         V              0.144U

 61.001  MATH         M[95]=-5;M[85]=1
 61.002  MATH         M[99]=1;M[98]=1;M[96]=-2;M[87]=0
 61.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 61.004  ACC          -6.000V        1.275e-3U
 61.005  MEME
 61.006  MEMC         V              0.144U

 62.001  LABEL        CH2_DC_GAIN_TEST
 62.002  JMPL         CH3_DC_GAIN_TEST             M[102]!=2
 62.003  MATH         M[17]=2
 62.004  9500         *                                                 S
 62.005  IEEE         FACTORY
 62.006  IEEE         HEADER OFF
 62.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

 62.008  HEAD         DC GAIN ACCURACY CHANNEL 2
 62.009  RSLT         =CHANNEL 2
 62.010  MATH         M[100]=2
 62.011  IEEE         SEL:CH2 ON;CH1 OFF;CH3 OFF;CH4 OFF
 62.012  IEEE         TRIG:A:EDGE:SOU CH2;COUP DC;SLO RIS
 62.013  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP MEAN
 62.014  IEEE         MEASU:MEAS1:STATE ON
 62.015  IEEE         MEASU:STATISTICS:MODE VALUEM
 62.016  IEEE         MEASU:STATISTICS:WEIGHTING 2
 62.017  IEEE         MEASU:STATISTICS:COUNT RESET

 62.018  RSLT         =2 mV/div
 62.019  TARGET
 62.020  MATH         M[95]=7.6;M[85]=-7.6
 62.021  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0;M[87]=0
 62.022  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 62.023  ACC          15.200mV       2.69e-2U
 62.024  MEME
 62.025  MEMC         mV             0.380U

 63.001  MATH         M[95]=517.6;M[85]=502.4
 63.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 63.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 63.004  ACC          15.200mV       1.5425e-1U
 63.005  MEME
 63.006  MEMC         mV             0.845U

 64.001  MATH         M[95]=-517.6;M[85]=-502.4
 64.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 64.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 64.004  ACC          -15.200mV      1.5425e-1U
 64.005  MEME
 64.006  MEMC         mV             0.845U

 65.001  RSLT         =5 mV/div
 65.002  TARGET
 65.003  MATH         M[95]=19.0;M[85]=-19.0
 65.004  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0;M[87]=0
 65.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 65.006  ACC          38.000mV       3.45e-2U
 65.007  MEME
 65.008  MEMC         mV             0.760U

 66.001  MATH         M[95]=544;M[85]=506
 66.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 66.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 66.004  ACC          38.000mV       0.161U
 66.005  MEME
 66.006  MEMC         mV             1.159U

 67.001  MATH         M[95]=-544;M[85]=-506
 67.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 67.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 67.004  ACC          -38.000mV      0.161U
 67.005  MEME
 67.006  MEMC         mV             1.159U

 68.001  RSLT         =10 mV/div
 68.002  TARGET
 68.003  MATH         M[95]=38.0;M[85]=-38.0
 68.004  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0;M[87]=0
 68.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 68.006  ACC          76.000mV       3.45e-2U
 68.007  MEME
 68.008  MEMC         mV             1.520U

 69.001  MATH         M[95]=588;M[85]=512
 69.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 69.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 69.004  ACC          76.000mV       0.172U
 69.005  MEME
 69.006  MEMC         mV             2.356U

 70.001  MATH         M[95]=-588;M[85]=-512
 70.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 70.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 70.004  ACC          -76.000mV      0.172U
 70.005  MEME
 70.006  MEMC         mV             2.356U

 71.001  RSLT         =20 mV/div
 71.002  TARGET
 71.003  MATH         M[95]=76.0;M[85]=-76.0
 71.004  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0;M[87]=0
 71.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 71.006  ACC          152.000mV      4.4e-2U
 71.007  MEME
 71.008  MEMC         mV             3.040U

 72.001  MATH         M[95]=676;M[85]=524
 72.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 72.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 72.004  ACC          152.000mV      0.194U
 72.005  MEME
 72.006  MEMC         mV             4.864U

 73.001  MATH         M[95]=-676;M[85]=-524
 73.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 73.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 73.004  ACC          -152.000mV     0.194U
 73.005  MEME
 73.006  MEMC         mV             4.864U

 74.001  RSLT         =50 mV/div
 74.002  TARGET
 74.003  MATH         M[95]=190;M[85]=-190
 74.004  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0;M[87]=0
 74.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 74.006  ACC          380.000mV      7.25e-2U
 74.007  MEME
 74.008  MEMC         mV             7.600U

 75.001  MATH         M[95]=940;M[85]=560
 75.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 75.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 75.004  ACC          380.000mV      0.26U
 75.005  MEME
 75.006  MEMC         mV             13.300U

 76.001  MATH         M[95]=-940;M[85]=-560
 76.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 76.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 76.004  ACC          -380.000mV     0.26U
 76.005  MEME
 76.006  MEMC         mV             13.300U

 77.001  RSLT         =100 mV/div
 77.002  TARGET
 77.003  MATH         M[95]=380;M[85]=-380
 77.004  MATH         M[99]=100E-3;M[98]=1E3;M[96]=0;M[87]=0
 77.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 77.006  ACC          760.000mV      0.12U
 77.007  MEME
 77.008  MEMC         mV             15.200U

 78.001  MATH         M[95]=4880;M[85]=4120
 78.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=4.5;M[87]=0
 78.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 78.004  ACC          760.000mV      1.245U
 78.005  MEME
 78.006  MEMC         mV             22.040U

 79.001  MATH         M[95]=-4880;M[85]=-4120
 79.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=-4.5;M[87]=0
 79.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 79.004  ACC          -760.000mV     1.245U
 79.005  MEME
 79.006  MEMC         mV             22.040U

 80.001  RSLT         =200 mV/div
 80.002  TARGET
 80.003  MATH         M[95]=0.760;M[85]=-0.760
 80.004  MATH         M[99]=200E-3;M[98]=1;M[96]=0;M[87]=0
 80.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 80.006  ACC          1.520V         2.15e-4U
 80.007  MEME
 80.008  MEMC         V              0.030U

 81.001  MATH         M[95]=4.96;M[85]=3.44
 81.002  MATH         M[99]=200E-3;M[98]=1;M[96]=4.6;M[87]=2
 81.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 81.004  ACC          1.520V         1.265e-3U
 81.005  MEME
 81.006  MEMC         V              0.043U

 82.001  MATH         M[95]=-4.96;M[85]=-3.44
 82.002  MATH         M[99]=200E-3;M[98]=1;M[96]=-4.6;M[87]=-2
 82.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 82.004  ACC          -1.520V        1.265e-3U
 82.005  MEME
 82.006  MEMC         V              0.043U

 83.001  RSLT         =500 mV/div
 83.002  TARGET
 83.003  MATH         M[95]=1.9;M[85]=-1.9
 83.004  MATH         M[99]=500E-3;M[98]=1;M[96]=0;M[87]=0
 83.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 83.006  ACC          3.800V         2.150e-4U
 83.007  MEME
 83.008  MEMC         V              0.076U

 84.001  MATH         M[95]=4.9;M[85]=1.1
 84.002  MATH         M[99]=500E-3;M[98]=1;M[96]=5;M[87]=4
 84.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 84.004  ACC          3.800V         1.25e-3U
 84.005  MEME
 84.006  MEMC         V              0.099U

 85.001  MATH         M[95]=-4.9;M[85]=-1.1
 85.002  MATH         M[99]=500E-3;M[98]=1;M[96]=-5;M[87]=-4
 85.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 85.004  ACC          -3.800V        1.25e-3U
 85.005  MEME
 85.006  MEMC         V              0.099U

 86.001  RSLT         =1 V/div
 86.002  TARGET
 86.003  MATH         M[95]=3.8;M[85]=-3.8
 86.004  MATH         M[99]=1;M[98]=1;M[96]=0;M[87]=0
 86.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 86.006  ACC          7.600V         9.75e-4U
 86.007  MEME
 86.008  MEMC         V              0.152U

 87.001  MATH         M[95]=5;M[85]=-1
 87.002  MATH         M[99]=1;M[98]=1;M[96]=2;M[87]=0
 87.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 87.004  ACC          6.000V         1.275e-3U
 87.005  MEME
 87.006  MEMC         V              0.144U

 88.001  MATH         M[95]=-5;M[85]=1
 88.002  MATH         M[99]=1;M[98]=1;M[96]=-2;M[87]=0
 88.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 88.004  ACC          -6.000V        1.275e-3U
 88.005  MEME
 88.006  MEMC         V              0.144U

 89.001  LABEL        CH3_DC_GAIN_TEST
 89.002  JMPL         CH4_DC_GAIN_TEST             M[102]!=3
 89.003  MATH         M[17]=2
 89.004  9500         *                                                 S
 89.005  IEEE         FACTORY
 89.006  IEEE         HEADER OFF
 89.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

 89.008  HEAD         DC GAIN ACCURACY CHANNEL 3
 89.009  RSLT         =CHANNEL 3
 89.010  MATH         M[100]=3
 89.011  IEEE         SEL:CH3 ON;CH1 OFF;CH2 OFF;CH4 OFF
 89.012  IEEE         TRIG:A:EDGE:SOU CH3;COUP DC;SLO RIS
 89.013  IEEE         MEASU:MEAS1:SOURCE1 CH3;TYP MEAN
 89.014  IEEE         MEASU:MEAS1:STATE ON
 89.015  IEEE         MEASU:STATISTICS:MODE VALUEM
 89.016  IEEE         MEASU:STATISTICS:WEIGHTING 2
 89.017  IEEE         MEASU:STATISTICS:COUNT RESET

 89.018  RSLT         =2 mV/div
 89.019  TARGET
 89.020  MATH         M[95]=7.6;M[85]=-7.6
 89.021  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0;M[87]=0
 89.022  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 89.023  ACC          15.200mV       2.69e-2U
 89.024  MEME
 89.025  MEMC         mV             0.380U

 90.001  MATH         M[95]=517.6;M[85]=502.4
 90.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 90.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 90.004  ACC          15.200mV       1.5425e-1U
 90.005  MEME
 90.006  MEMC         mV             0.845U

 91.001  MATH         M[95]=-517.6;M[85]=-502.4
 91.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 91.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 91.004  ACC          -15.200mV      1.5425e-1U
 91.005  MEME
 91.006  MEMC         mV             0.845U

 92.001  RSLT         =5 mV/div
 92.002  TARGET
 92.003  MATH         M[95]=19.0;M[85]=-19.0
 92.004  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0;M[87]=0
 92.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 92.006  ACC          38.000mV       3.45e-2U
 92.007  MEME
 92.008  MEMC         mV             0.760U

 93.001  MATH         M[95]=544;M[85]=506
 93.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 93.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 93.004  ACC          38.000mV       0.161U
 93.005  MEME
 93.006  MEMC         mV             1.159U

 94.001  MATH         M[95]=-544;M[85]=-506
 94.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 94.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 94.004  ACC          -38.000mV      0.161U
 94.005  MEME
 94.006  MEMC         mV             1.159U

 95.001  RSLT         =10 mV/div
 95.002  TARGET
 95.003  MATH         M[95]=38.0;M[85]=-38.0
 95.004  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0;M[87]=0
 95.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 95.006  ACC          76.000mV       3.45e-2U
 95.007  MEME
 95.008  MEMC         mV             1.520U

 96.001  MATH         M[95]=588;M[85]=512
 96.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 96.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 96.004  ACC          76.000mV       0.172U
 96.005  MEME
 96.006  MEMC         mV             2.356U

 97.001  MATH         M[95]=-588;M[85]=-512
 97.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
 97.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 97.004  ACC          -76.000mV      0.172U
 97.005  MEME
 97.006  MEMC         mV             2.356U

 98.001  RSLT         =20 mV/div
 98.002  TARGET
 98.003  MATH         M[95]=76.0;M[85]=-76.0
 98.004  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0;M[87]=0
 98.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 98.006  ACC          152.000mV      4.4e-2U
 98.007  MEME
 98.008  MEMC         mV             3.040U

 99.001  MATH         M[95]=676;M[85]=524
 99.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
 99.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
 99.004  ACC          152.000mV      0.194U
 99.005  MEME
 99.006  MEMC         mV             4.864U

100.001  MATH         M[95]=-676;M[85]=-524
100.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
100.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
100.004  ACC          -152.000mV     0.194U
100.005  MEME
100.006  MEMC         mV             4.864U

101.001  RSLT         =50 mV/div
101.002  TARGET
101.003  MATH         M[95]=190;M[85]=-190
101.004  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0;M[87]=0
101.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
101.006  ACC          380.000mV      7.25e-2U
101.007  MEME
101.008  MEMC         mV             7.600U

102.001  MATH         M[95]=940;M[85]=560
102.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
102.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
102.004  ACC          380.000mV      0.26U
102.005  MEME
102.006  MEMC         mV             13.300U

103.001  MATH         M[95]=-940;M[85]=-560
103.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
103.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
103.004  ACC          -380.000mV     0.26U
103.005  MEME
103.006  MEMC         mV             13.300U

104.001  RSLT         =100 mV/div
104.002  TARGET
104.003  MATH         M[95]=380;M[85]=-380
104.004  MATH         M[99]=100E-3;M[98]=1E3;M[96]=0;M[87]=0
104.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
104.006  ACC          760.000mV      0.12U
104.007  MEME
104.008  MEMC         mV             15.200U

105.001  MATH         M[95]=4880;M[85]=4120
105.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=4.5;M[87]=0
105.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
105.004  ACC          760.000mV      1.245U
105.005  MEME
105.006  MEMC         mV             22.040U

106.001  MATH         M[95]=-4880;M[85]=-4120
106.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=-4.5;M[87]=0
106.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
106.004  ACC          -760.000mV     1.245U
106.005  MEME
106.006  MEMC         mV             22.040U

107.001  RSLT         =200 mV/div
107.002  TARGET
107.003  MATH         M[95]=0.760;M[85]=-0.760
107.004  MATH         M[99]=200E-3;M[98]=1;M[96]=0;M[87]=0
107.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
107.006  ACC          1.520V         2.15e-4U
107.007  MEME
107.008  MEMC         V              0.030U

108.001  MATH         M[95]=4.96;M[85]=3.44
108.002  MATH         M[99]=200E-3;M[98]=1;M[96]=4.6;M[87]=2
108.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
108.004  ACC          1.520V         1.265e-3U
108.005  MEME
108.006  MEMC         V              0.043U

109.001  MATH         M[95]=-4.96;M[85]=-3.44
109.002  MATH         M[99]=200E-3;M[98]=1;M[96]=-4.6;M[87]=-2
109.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
109.004  ACC          -1.520V        1.265e-3U
109.005  MEME
109.006  MEMC         V              0.043U

110.001  RSLT         =500 mV/div
110.002  TARGET
110.003  MATH         M[95]=1.9;M[85]=-1.9
110.004  MATH         M[99]=500E-3;M[98]=1;M[96]=0;M[87]=0
110.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
110.006  ACC          3.800V         2.150e-4U
110.007  MEME
110.008  MEMC         V              0.076U

111.001  MATH         M[95]=4.9;M[85]=1.1
111.002  MATH         M[99]=500E-3;M[98]=1;M[96]=5;M[87]=4
111.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
111.004  ACC          3.800V         1.25e-3U
111.005  MEME
111.006  MEMC         V              0.099U

112.001  MATH         M[95]=-4.9;M[85]=-1.1
112.002  MATH         M[99]=500E-3;M[98]=1;M[96]=-5;M[87]=-4
112.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
112.004  ACC          -3.800V        1.25e-3U
112.005  MEME
112.006  MEMC         V              0.099U

113.001  RSLT         =1 V/div
113.002  TARGET
113.003  MATH         M[95]=3.8;M[85]=-3.8
113.004  MATH         M[99]=1;M[98]=1;M[96]=0;M[87]=0
113.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
113.006  ACC          7.600V         9.75e-4U
113.007  MEME
113.008  MEMC         V              0.152U

114.001  MATH         M[95]=5;M[85]=-1
114.002  MATH         M[99]=1;M[98]=1;M[96]=2;M[87]=0
114.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
114.004  ACC          6.000V         1.275e-3U
114.005  MEME
114.006  MEMC         V              0.144U

115.001  MATH         M[95]=-5;M[85]=1
115.002  MATH         M[99]=1;M[98]=1;M[96]=-2;M[87]=0
115.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
115.004  ACC          -6.000V        1.275e-3U
115.005  MEME
115.006  MEMC         V              0.144U

116.001  LABEL        CH4_DC_GAIN_TEST
116.002  JMPL         END_DC_GAIN_TEST             M[102]!=4
116.003  MATH         M[17]=2
116.004  9500         *                                                 S
116.005  IEEE         FACTORY
116.006  IEEE         HEADER OFF
116.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

116.008  HEAD         DC GAIN ACCURACY CHANNEL 4
116.009  RSLT         =CHANNEL 4
116.010  MATH         M[100]=4
116.011  IEEE         SEL:CH4 ON;CH1 OFF;CH2 OFF;CH3 OFF
116.012  IEEE         TRIG:A:EDGE:SOU CH4;COUP DC;SLO RIS
116.013  IEEE         MEASU:MEAS1:SOURCE1 CH4;TYP MEAN
116.014  IEEE         MEASU:MEAS1:STATE ON
116.015  IEEE         MEASU:STATISTICS:MODE VALUEM
116.016  IEEE         MEASU:STATISTICS:WEIGHTING 2
116.017  IEEE         MEASU:STATISTICS:COUNT RESET

116.018  RSLT         =2 mV/div
116.019  TARGET
116.020  MATH         M[95]=7.6;M[85]=-7.6
116.021  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0;M[87]=0
116.022  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
116.023  ACC          15.200mV       2.69e-2U
116.024  MEME
116.025  MEMC         mV             0.380U

117.001  MATH         M[95]=517.6;M[85]=502.4
117.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
117.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
117.004  ACC          15.200mV       1.5425e-1U
117.005  MEME
117.006  MEMC         mV             0.845U

118.001  MATH         M[95]=-517.6;M[85]=-502.4
118.002  MATH         M[99]=2E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
118.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
118.004  ACC          -15.200mV      1.5425e-1U
118.005  MEME
118.006  MEMC         mV             0.845U

119.001  RSLT         =5 mV/div
119.002  TARGET
119.003  MATH         M[95]=19.0;M[85]=-19.0
119.004  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0;M[87]=0
119.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
119.006  ACC          38.000mV       3.45e-2U
119.007  MEME
119.008  MEMC         mV             0.760U

120.001  MATH         M[95]=544;M[85]=506
120.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
120.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
120.004  ACC          38.000mV       0.161U
120.005  MEME
120.006  MEMC         mV             1.159U

121.001  MATH         M[95]=-544;M[85]=-506
121.002  MATH         M[99]=5E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
121.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
121.004  ACC          -38.000mV      0.161U
121.005  MEME
121.006  MEMC         mV             1.159U

122.001  RSLT         =10 mV/div
122.002  TARGET
122.003  MATH         M[95]=38.0;M[85]=-38.0
122.004  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0;M[87]=0
122.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
122.006  ACC          76.000mV       3.45e-2U
122.007  MEME
122.008  MEMC         mV             1.520U

123.001  MATH         M[95]=588;M[85]=512
123.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
123.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
123.004  ACC          76.000mV       0.172U
123.005  MEME
123.006  MEMC         mV             2.356U

124.001  MATH         M[95]=-588;M[85]=-512
124.002  MATH         M[99]=10E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
124.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
124.004  ACC          -76.000mV      0.172U
124.005  MEME
124.006  MEMC         mV             2.356U

125.001  RSLT         =20 mV/div
125.002  TARGET
125.003  MATH         M[95]=76.0;M[85]=-76.0
125.004  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0;M[87]=0
125.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
125.006  ACC          152.000mV      4.4e-2U
125.007  MEME
125.008  MEMC         mV             3.040U

126.001  MATH         M[95]=676;M[85]=524
126.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
126.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
126.004  ACC          152.000mV      0.194U
126.005  MEME
126.006  MEMC         mV             4.864U

127.001  MATH         M[95]=-676;M[85]=-524
127.002  MATH         M[99]=20E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
127.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
127.004  ACC          -152.000mV     0.194U
127.005  MEME
127.006  MEMC         mV             4.864U

128.001  RSLT         =50 mV/div
128.002  TARGET
128.003  MATH         M[95]=190;M[85]=-190
128.004  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0;M[87]=0
128.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
128.006  ACC          380.000mV      7.25e-2U
128.007  MEME
128.008  MEMC         mV             7.600U

129.001  MATH         M[95]=940;M[85]=560
129.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=0.5;M[87]=-5
129.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
129.004  ACC          380.000mV      0.26U
129.005  MEME
129.006  MEMC         mV             13.300U

130.001  MATH         M[95]=-940;M[85]=-560
130.002  MATH         M[99]=50E-3;M[98]=1E3;M[96]=-0.5;M[87]=+5
130.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
130.004  ACC          -380.000mV     0.26U
130.005  MEME
130.006  MEMC         mV             13.300U

131.001  RSLT         =100 mV/div
131.002  TARGET
131.003  MATH         M[95]=380;M[85]=-380
131.004  MATH         M[99]=100E-3;M[98]=1E3;M[96]=0;M[87]=0
131.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
131.006  ACC          760.000mV      0.12U
131.007  MEME
131.008  MEMC         mV             15.200U

132.001  MATH         M[95]=4880;M[85]=4120
132.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=4.5;M[87]=0
132.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
132.004  ACC          760.000mV      1.245U
132.005  MEME
132.006  MEMC         mV             22.040U

133.001  MATH         M[95]=-4880;M[85]=-4120
133.002  MATH         M[99]=100E-3;M[98]=1E3;M[96]=-4.5;M[87]=0
133.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
133.004  ACC          -760.000mV     1.245U
133.005  MEME
133.006  MEMC         mV             22.040U

134.001  RSLT         =200 mV/div
134.002  TARGET
134.003  MATH         M[95]=0.760;M[85]=-0.760
134.004  MATH         M[99]=200E-3;M[98]=1;M[96]=0;M[87]=0
134.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
134.006  ACC          1.520V         2.15e-4U
134.007  MEME
134.008  MEMC         V              0.030U

135.001  MATH         M[95]=4.96;M[85]=3.44
135.002  MATH         M[99]=200E-3;M[98]=1;M[96]=4.6;M[87]=2
135.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
135.004  ACC          1.520V         1.265e-3U
135.005  MEME
135.006  MEMC         V              0.043U

136.001  MATH         M[95]=-4.96;M[85]=-3.44
136.002  MATH         M[99]=200E-3;M[98]=1;M[96]=-4.6;M[87]=-2
136.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
136.004  ACC          -1.520V        1.265e-3U
136.005  MEME
136.006  MEMC         V              0.043U

137.001  RSLT         =500 mV/div
137.002  TARGET
137.003  MATH         M[95]=1.9;M[85]=-1.9
137.004  MATH         M[99]=500E-3;M[98]=1;M[96]=0;M[87]=0
137.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
137.006  ACC          3.800V         2.150e-4U
137.007  MEME
137.008  MEMC         V              0.076U

138.001  MATH         M[95]=4.9;M[85]=1.1
138.002  MATH         M[99]=500E-3;M[98]=1;M[96]=5;M[87]=4
138.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
138.004  ACC          3.800V         1.25e-3U
138.005  MEME
138.006  MEMC         V              0.099U

139.001  MATH         M[95]=-4.9;M[85]=-1.1
139.002  MATH         M[99]=500E-3;M[98]=1;M[96]=-5;M[87]=-4
139.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
139.004  ACC          -3.800V        1.25e-3U
139.005  MEME
139.006  MEMC         V              0.099U

140.001  RSLT         =1 V/div
140.002  TARGET
140.003  MATH         M[95]=3.8;M[85]=-3.8
140.004  MATH         M[99]=1;M[98]=1;M[96]=0;M[87]=0
140.005  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
140.006  ACC          7.600V         9.75e-4U
140.007  MEME
140.008  MEMC         V              0.152U

141.001  MATH         M[95]=5;M[85]=-1
141.002  MATH         M[99]=1;M[98]=1;M[96]=2;M[87]=0
141.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
141.004  ACC          6.000V         1.275e-3U
141.005  MEME
141.006  MEMC         V              0.144U

142.001  MATH         M[95]=-5;M[85]=1
142.002  MATH         M[99]=1;M[98]=1;M[96]=-2;M[87]=0
142.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
142.004  ACC          -6.000V        1.275e-3U
142.005  MEME
142.006  MEMC         V              0.144U
143.001  LABEL        END_DC_GAIN_TEST
143.002  MATH         M[17]=0

#******************** OFFSET ACCURACY ********************

143.003  LABEL        OFFSET_ACCURACY
143.004  JMPL         CH2_OFFSET_TEST              M[102]!=1
143.005  HEAD         {OFFSET ACCURACY}
143.006  9500         *                                                 S
143.007  IEEE         FACTORY
143.008  IEEE         HEADER OFF
143.009  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

143.010  HEAD         OFFSET ACCURACY CHANNEL 1
143.011  RSLT         =CHANNEL 1
143.012  MATH         M[100]=1
143.013  IEEE         SEL:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
143.014  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
143.015  IEEE         MEASU:MEAS1:SOURCE1 CH1;TYP MEAN
143.016  IEEE         MEASU:MEAS1:STATE ON
143.017  M9500                       CH1

143.018  RSLT         =2 mV/div
143.019  TARGET
143.020  MATH         M[95]=500;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=0
143.021  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
143.022  ACC          500.0mV        1.5e-1U
143.023  MEME
143.024  MEMC         mV             2.7U

144.001  9500         *                                                 S
144.002  MATH         M[95]=0;M[99]=2E-3;M[98]=1E3;M[96]=+0.0
144.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
144.004  ACC          0.0mV          1.5e-2U
144.005  MEME
144.006  MEMC         mV             1.7U

145.001  MATH         M[95]=-500;M[99]=2E-3;M[98]=1E3;M[96]=-0.5
145.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
145.003  ACC          -500.0mV       1.5e-1U
145.004  MEME
145.005  MEMC         mV             2.7U


146.001  RSLT         =50 mV/div
146.002  MATH         M[95]=500;M[99]=50E-3;M[98]=1E3;M[96]=+0.5
146.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
146.004  ACC          500.00mV       1.5e-1U
146.005  MEME
146.006  MEMC         mV             8.25U

147.001  9500         *                                                 S
147.002  MATH         M[95]=0;M[99]=50E-3;M[98]=1E3;M[96]=+0.0
147.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
147.004  ACC          0.0mV          1.5e-2U
147.005  MEME
147.006  MEMC         mV             6.5U

148.001  MATH         M[95]=-500;M[99]=50E-3;M[98]=1E3;M[96]=-0.5
148.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
148.003  ACC          -500.00mV      1.5e-1U
148.004  MEME
148.005  MEMC         mV             8.25U

149.001  RSLT         =100 mV/div
149.002  MATH         M[95]=5;M[99]=100E-3;M[98]=1;M[96]=+5.0
149.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
149.004  ACC          5.0000V        1.275e-3U
149.005  MEME
149.006  MEMC         V              0.0425U

150.001  9500         *                                                 S
150.002  MATH         M[95]=0;M[99]=100E-3;M[98]=1;M[96]=+0.0
150.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
150.004  ACC          0.0mV          1.5e-2U
150.005  MEME
150.006  MEMC         mV             25U

151.001  MATH         M[95]=-5;M[99]=100E-3;M[98]=1;M[96]=-5.0
151.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
151.003  ACC          -5.0000V       1.275e-3U
151.004  MEME
151.005  MEMC         V              0.0425U

152.001  RSLT         =500 mV/div
152.002  MATH         M[95]=5;M[99]=500E-3;M[98]=1;M[96]=+5.0
152.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
152.004  ACC          5.0000V        1.275e-3U
152.005  MEME
152.006  MEMC         V              0.0825U

153.001  9500         *                                                 S
153.002  MATH         M[95]=0;M[99]=500E-3;M[98]=1;M[96]=+0.0
153.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
153.004  ACC          0.0mV          1.5e-2U
153.005  MEME
153.006  MEMC         mV             65U

154.001  MATH         M[95]=-5;M[99]=500E-3;M[98]=1;M[96]=-5.0
154.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
154.003  ACC          -5.0000V       1.275e-3U
154.004  MEME
154.005  MEMC         V              0.0825U

155.001  RSLT         =1 V/div
155.002  MATH         M[95]=2.5;M[99]=1;M[98]=1;M[96]=+2.5
155.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
155.004  ACC          2.50000V       0.00065U
155.005  MEME
155.006  MEMC         V              0.12375U

156.001  9500         *                                                 S
156.002  MATH         M[95]=0;M[99]=1;M[98]=1;M[96]=+0.0
156.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
156.004  ACC          0.0mV          1.5e-2U
156.005  MEME
156.006  MEMC         mV             115U

157.001  MATH         M[95]=-2.5;M[99]=1;M[98]=1;M[96]=-2.5
157.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
157.003  ACC          -2.50000V      0.00065U
157.004  MEME
157.005  MEMC         V              0.12375U

158.001  LABEL        CH2_OFFSET_TEST
158.002  JMPL         CH3_OFFSET_TEST              M[102]!=2
158.003  9500         *                                                 S
158.004  IEEE         FACTORY
158.005  IEEE         HEADER OFF
158.006  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

158.007  HEAD         OFFSET ACCURACY CHANNEL 2
158.008  RSLT         =CHANNEL 2
158.009  MATH         M[100]=2
158.010  IEEE         SEL:CH2 ON;CH1 OFF;CH2 OFF;CH3 OFF
158.011  IEEE         TRIG:A:EDGE:SOU CH2;COUP DC;SLO RIS
158.012  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP MEAN
158.013  IEEE         MEASU:MEAS1:STATE ON

158.014  TARGET
158.015  RSLT         =2 mV/div
158.016  MATH         M[95]=500;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=0
158.017  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
158.018  ACC          500.0mV        1.5e-1U
158.019  MEME
158.020  MEMC         mV             2.7U

159.001  9500         *                                                 S
159.002  MATH         M[95]=0;M[99]=2E-3;M[98]=1E3;M[96]=+0.0
159.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
159.004  ACC          0.0mV          1.5e-2U
159.005  MEME
159.006  MEMC         mV             1.7U

160.001  MATH         M[95]=-500;M[99]=2E-3;M[98]=1E3;M[96]=-0.5
160.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
160.003  ACC          -500.0mV       1.5e-1U
160.004  MEME
160.005  MEMC         mV             2.7U

161.001  RSLT         =50 mV/div
161.002  MATH         M[95]=500;M[99]=50E-3;M[98]=1E3;M[96]=+0.5
161.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
161.004  ACC          500.00mV       1.5e-1U
161.005  MEME
161.006  MEMC         mV             8.25U

162.001  9500         *                                                 S
162.002  MATH         M[95]=0;M[99]=50E-3;M[98]=1E3;M[96]=+0.0
162.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
162.004  ACC          0.0mV          1.5e-2U
162.005  MEME
162.006  MEMC         mV             6.5U

163.001  MATH         M[95]=-500;M[99]=50E-3;M[98]=1E3;M[96]=-0.5
163.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
163.003  ACC          -500.00mV      1.5e-1U
163.004  MEME
163.005  MEMC         mV             8.25U

164.001  RSLT         =100 mV/div
164.002  MATH         M[95]=5;M[99]=100E-3;M[98]=1;M[96]=+5.0
164.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
164.004  ACC          5.0000V        1.275e-3U
164.005  MEME
164.006  MEMC         V              0.0425U

165.001  9500         *                                                 S
165.002  MATH         M[95]=0;M[99]=100E-3;M[98]=1;M[96]=+0.0
165.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
165.004  ACC          0.0mV          1.5e-2U
165.005  MEME
165.006  MEMC         mV             25U

166.001  MATH         M[95]=-5;M[99]=100E-3;M[98]=1;M[96]=-5.0
166.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
166.003  ACC          -5.0000V       1.275e-3U
166.004  MEME
166.005  MEMC         V              0.0425U

167.001  RSLT         =500 mV/div
167.002  MATH         M[95]=5;M[99]=500E-3;M[98]=1;M[96]=+5.0
167.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
167.004  ACC          5.0000V        1.275e-3U
167.005  MEME
167.006  MEMC         V              0.0825U

168.001  9500         *                                                 S
168.002  MATH         M[95]=0;M[99]=500E-3;M[98]=1;M[96]=+0.0
168.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
168.004  ACC          0.0mV          1.5e-2U
168.005  MEME
168.006  MEMC         mV             65U

169.001  MATH         M[95]=-5;M[99]=500E-3;M[98]=1;M[96]=-5.0
169.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
169.003  ACC          -5.0000V       1.275e-3U
169.004  MEME
169.005  MEMC         V              0.0825U

170.001  RSLT         =1 V/div
170.002  MATH         M[95]=2.5;M[99]=1;M[98]=1;M[96]=+2.5
170.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
170.004  ACC          2.50000V       0.00065U
170.005  MEME
170.006  MEMC         V              0.12375U

171.001  9500         *                                                 S
171.002  MATH         M[95]=0;M[99]=1;M[98]=1;M[96]=+0.0
171.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
171.004  ACC          0.0mV          1.5e-2U
171.005  MEME
171.006  MEMC         mV             115U

172.001  MATH         M[95]=-2.5;M[99]=1;M[98]=1;M[96]=-2.5
172.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
172.003  ACC          -2.50000V      0.00065U
172.004  MEME
172.005  MEMC         V              0.12375U

173.001  LABEL        CH3_OFFSET_TEST
173.002  JMPL         CH4_OFFSET_TEST              M[102]!=3
173.003  9500         *                                                 S
173.004  IEEE         FACTORY
173.005  IEEE         HEADER OFF
173.006  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

173.007  HEAD         OFFSET ACCURACY CHANNEL 3
173.008  RSLT         =CHANNEL 3
173.009  MATH         M[100]=3
173.010  IEEE         SEL:CH3 ON;CH1 OFF;CH2 OFF;CH4 OFF
173.011  IEEE         TRIG:A:EDGE:SOU CH3;COUP DC;SLO RIS
173.012  IEEE         MEASU:MEAS1:SOURCE1 CH3;TYP MEAN
173.013  IEEE         MEASU:MEAS1:STATE ON

173.014  TARGET
173.015  RSLT         =2 mV/div
173.016  MATH         M[95]=500;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=0
173.017  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
173.018  ACC          500.0mV        1.5e-1U
173.019  MEME
173.020  MEMC         mV             2.7U

174.001  9500         *                                                 S
174.002  MATH         M[95]=0;M[99]=2E-3;M[98]=1E3;M[96]=+0.0
174.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
174.004  ACC          0.0mV          1.5e-2U
174.005  MEME
174.006  MEMC         mV             1.7U

175.001  MATH         M[95]=-500;M[99]=2E-3;M[98]=1E3;M[96]=-0.5
175.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
175.003  ACC          -500.0mV       1.5e-1U
175.004  MEME
175.005  MEMC         mV             2.7U

176.001  RSLT         =50 mV/div
176.002  MATH         M[95]=500;M[99]=50E-3;M[98]=1E3;M[96]=+0.5
176.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
176.004  ACC          500.00mV       1.5e-1U
176.005  MEME
176.006  MEMC         mV             8.25U

177.001  9500         *                                                 S
177.002  MATH         M[95]=0;M[99]=50E-3;M[98]=1E3;M[96]=+0.0
177.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
177.004  ACC          0.0mV          1.5e-2U
177.005  MEME
177.006  MEMC         mV             6.5U

178.001  MATH         M[95]=-500;M[99]=50E-3;M[98]=1E3;M[96]=-0.5
178.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
178.003  ACC          -500.00mV      1.5e-1U
178.004  MEME
178.005  MEMC         mV             8.25U

179.001  RSLT         =100 mV/div
179.002  MATH         M[95]=5;M[99]=100E-3;M[98]=1;M[96]=+5.0
179.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
179.004  ACC          5.0000V        1.275e-3U
179.005  MEME
179.006  MEMC         V              0.0425U

180.001  9500         *                                                 S
180.002  MATH         M[95]=0;M[99]=100E-3;M[98]=1;M[96]=+0.0
180.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
180.004  ACC          0.0mV          1.5e-2U
180.005  MEME
180.006  MEMC         mV             25U

181.001  MATH         M[95]=-5;M[99]=100E-3;M[98]=1;M[96]=-5.0
181.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
181.003  ACC          -5.0000V       1.275e-3U
181.004  MEME
181.005  MEMC         V              0.0425U

182.001  RSLT         =500 mV/div
182.002  MATH         M[95]=5;M[99]=500E-3;M[98]=1;M[96]=+5.0
182.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
182.004  ACC          5.0000V        1.275e-3U
182.005  MEME
182.006  MEMC         V              0.0825U

183.001  9500         *                                                 S
183.002  MATH         M[95]=0;M[99]=500E-3;M[98]=1;M[96]=+0.0
183.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
183.004  ACC          0.0mV          1.5e-2U
183.005  MEME
183.006  MEMC         mV             65U

184.001  MATH         M[95]=-5;M[99]=500E-3;M[98]=1;M[96]=-5.0
184.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
184.003  ACC          -5.0000V       1.275e-3U
184.004  MEME
184.005  MEMC         V              0.0825U

185.001  RSLT         =1 V/div
185.002  MATH         M[95]=2.5;M[99]=1;M[98]=1;M[96]=+2.5
185.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
185.004  ACC          2.50000V       0.00065U
185.005  MEME
185.006  MEMC         V              0.12375U

186.001  9500         *                                                 S
186.002  MATH         M[95]=0;M[99]=1;M[98]=1;M[96]=+0.0
186.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
186.004  ACC          0.0mV          1.5e-2U
186.005  MEME
186.006  MEMC         mV             115U

187.001  MATH         M[95]=-2.5;M[99]=1;M[98]=1;M[96]=-2.5
187.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
187.003  ACC          -2.50000V      0.00065U
187.004  MEME
187.005  MEMC         V              0.12375U

188.001  LABEL        CH4_OFFSET_TEST
188.002  JMPL         END_OFFSET_TEST              M[102]!=4
188.003  9500         *                                                 S
188.004  IEEE         FACTORY
188.005  IEEE         HEADER OFF
188.006  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

188.007  HEAD         OFFSET ACCURACY CHANNEL 4
188.008  RSLT         =CHANNEL 4
188.009  MATH         M[100]=4
188.010  IEEE         SEL:CH4 ON;CH1 OFF;CH2 OFF;CH3 OFF
188.011  IEEE         TRIG:A:EDGE:SOU CH4;COUP DC;SLO RIS
188.012  IEEE         MEASU:MEAS1:SOURCE1 CH4;TYP MEAN
188.013  IEEE         MEASU:MEAS1:STATE ON

188.014  TARGET
188.015  RSLT         =2 mV/div
188.016  MATH         M[95]=500;M[99]=2E-3;M[98]=1E3;M[96]=+0.5;M[87]=0
188.017  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
188.018  ACC          500.0mV        1.5e-1U
188.019  MEME
188.020  MEMC         mV             2.7U

189.001  9500         *                                                 S
189.002  MATH         M[95]=0;M[99]=2E-3;M[98]=1E3;M[96]=+0.0
189.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
189.004  ACC          0.0mV          1.5e-2U
189.005  MEME
189.006  MEMC         mV             1.7U

190.001  MATH         M[95]=-500;M[99]=2E-3;M[98]=1E3;M[96]=-0.5
190.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
190.003  ACC          -500.0mV       1.5e-1U
190.004  MEME
190.005  MEMC         mV             2.7U

191.001  RSLT         =50 mV/div
191.002  MATH         M[95]=500;M[99]=50E-3;M[98]=1E3;M[96]=+0.5
191.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
191.004  ACC          500.00mV       1.5e-1U
191.005  MEME
191.006  MEMC         mV             8.25U

192.001  9500         *                                                 S
192.002  MATH         M[95]=0;M[99]=50E-3;M[98]=1E3;M[96]=+0.0
192.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
192.004  ACC          0.0mV          1.5e-2U
192.005  MEME
192.006  MEMC         mV             6.5U

193.001  MATH         M[95]=-500;M[99]=50E-3;M[98]=1E3;M[96]=-0.5
193.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
193.003  ACC          -500.00mV      1.5e-1U
193.004  MEME
193.005  MEMC         mV             8.25U

194.001  RSLT         =100 mV/div
194.002  MATH         M[95]=5;M[99]=100E-3;M[98]=1;M[96]=+5.0
194.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
194.004  ACC          5.0000V        1.275e-3U
194.005  MEME
194.006  MEMC         V              0.0425U

195.001  9500         *                                                 S
195.002  MATH         M[95]=0;M[99]=100E-3;M[98]=1;M[96]=+0.0
195.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
195.004  ACC          0.0mV          1.5e-2U
195.005  MEME
195.006  MEMC         mV             25U

196.001  MATH         M[95]=-5;M[99]=100E-3;M[98]=1;M[96]=-5.0
196.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
196.003  ACC          -5.0000V       1.275e-3U
196.004  MEME
196.005  MEMC         V              0.0425U

197.001  RSLT         =500 mV/div
197.002  MATH         M[95]=5;M[99]=500E-3;M[98]=1;M[96]=+5.0
197.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
197.004  ACC          5.0000V        1.275e-3U
197.005  MEME
197.006  MEMC         V              0.0825U

198.001  9500         *                                                 S
198.002  MATH         M[95]=0;M[99]=500E-3;M[98]=1;M[96]=+0.0
198.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
198.004  ACC          0.0mV          1.5e-2U
198.005  MEME
198.006  MEMC         mV             65U

199.001  MATH         M[95]=-5;M[99]=500E-3;M[98]=1;M[96]=-5.0
199.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
199.003  ACC          -5.0000V       1.275e-3U
199.004  MEME
199.005  MEMC         V              0.0825U

200.001  RSLT         =1 V/div
200.002  MATH         M[95]=2.5;M[99]=1;M[98]=1;M[96]=+2.5
200.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
200.004  ACC          2.50000V       0.00065U
200.005  MEME
200.006  MEMC         V              0.12375U

201.001  9500         *                                                 S
201.002  MATH         M[95]=0;M[99]=1;M[98]=1;M[96]=+0.0
201.003  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
201.004  ACC          0.0mV          1.5e-2U
201.005  MEME
201.006  MEMC         mV             115U

202.001  MATH         M[95]=-2.5;M[99]=1;M[98]=1;M[96]=-2.5
202.002  CALL         Sub Tek 72XX DC VOLTAGE MEAS /9500+3200
202.003  ACC          -2.50000V      0.00065U
202.004  MEME
202.005  MEMC         V              0.12375U
203.001  LABEL        END_OFFSET_TEST

#******************** MAXIMUM INPUT VOLTAGE ********************

203.002  LABEL        MAXIMUM_INPUT_VOLTAGE
203.003  JMPL         CH2_MAX_INPUT_VOLTAGE_TEST   M[102]!=1
203.004  HEAD         {MAXIMUM INPUT VOLTAGE}
203.005  9500         *                                                 S
203.006  IEEE         FACTORY
203.007  IEEE         HEADER OFF
203.008  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

203.009  HEAD         MAXIMUM INPUT VOLTAGE CHANNEL 1
203.010  RSLT         =CHANNEL 1
203.011  MATH         M[100]=1
203.012  IEEE         SEL:CH1 ON
203.013  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
203.014  IEEE         MEASU:MEAS1:SOURCE1 CH1;TYP HIGH
203.015  IEEE         MEASU:MEAS1:STATE ON
203.016  M9500                       CH1

203.017  RSLT         =50 mV/div
203.018  TARGET
203.019  IEEE         CH[M100]:SCA 50E-3;POS -3
203.020  9500         1V                                                S  L
203.021  IEEE         [D2000]
203.022  IEEE         CH1:COUPLING?[I$]
203.023  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

204.001  9500         3V                                                S  L
204.002  IEEE         [D2000]
204.003  IEEE         CH[M100]:COUPLING?[I$]
204.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

205.001  RSLT         =1 V/div
205.002  TARGET
205.003  IEEE         CH[M100]:SCA 1;POS -3;COUP DC
205.004  9500         5V                                                S  L
205.005  IEEE         [D2000]
205.006  IEEE         CH[M100]:COUPLING?[I$]
205.007  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

206.001  9500         10V                          50J            OP    S  L
206.002  IEEE         [D2000]
206.003  IEEE         CH[M100]:COUPLING?[I$]
206.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

207.001  LABEL        CH2_MAX_INPUT_VOLTAGE_TEST
207.002  JMPL         CH3_MAX_INPUT_VOLTAGE_TEST   M[102]!=2
207.003  9500         *                                                 S
207.004  IEEE         FACTORY
207.005  IEEE         HEADER OFF
207.006  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

207.007  HEAD         MAXIMUM INPUT VOLTAGE CHANNEL 2
207.008  RSLT         =CHANNEL 2
207.009  MATH         M[100]=2
207.010  IEEE         SEL:CH2 ON;CH1 OFF
207.011  IEEE         TRIG:A:EDGE:SOU CH2;COUP DC;SLO RIS
207.012  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP HIGH
207.013  IEEE         MEASU:MEAS1:STATE ON

207.014  RSLT         =50 mV/div
207.015  TARGET
207.016  IEEE         CH[M100]:SCA 50E-3;POS -3
207.017  9500         1V                                                S  L
207.018  IEEE         [D2000]
207.019  IEEE         CH[M100]:COUPLING?[I$]
207.020  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

208.001  9500         3V                                                S  L
208.002  IEEE         [D2000]
208.003  IEEE         CH[M100]:COUPLING?[I$]
208.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

209.001  RSLT         =1 V/div
209.002  TARGET
209.003  IEEE         CH[M100]:SCA 1;POS -3;COUP DC
209.004  9500         5V                                                S  L
209.005  IEEE         [D2000]
209.006  IEEE         CH[M100]:COUPLING?[I$]
209.007  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

210.001  9500         10V                          50J            OP    S  L
210.002  IEEE         [D2000]
210.003  IEEE         CH[M100]:COUPLING?[I$]
210.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

211.001  LABEL        CH3_MAX_INPUT_VOLTAGE_TEST
211.002  JMPL         CH4_MAX_INPUT_VOLTAGE_TEST   M[102]!=3
211.003  9500         *                                                 S
211.004  IEEE         FACTORY
211.005  IEEE         HEADER OFF
211.006  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

211.007  HEAD         MAXIMUM INPUT VOLTAGE CHANNEL 3
211.008  RSLT         =CHANNEL 3
211.009  MATH         M[100]=3
211.010  IEEE         SEL:CH3 ON;CH1 OFF
211.011  IEEE         TRIG:A:EDGE:SOU CH3;COUP DC;SLO RIS
211.012  IEEE         MEASU:MEAS1:SOURCE1 CH3;TYP HIGH
211.013  IEEE         MEASU:MEAS1:STATE ON

211.014  RSLT         =50 mV/div
211.015  TARGET
211.016  IEEE         CH[M100]:SCA 50E-3;POS -3
211.017  9500         1V                                                S  L
211.018  IEEE         [D2000]
211.019  IEEE         CH[M100]:COUPLING?[I$]
211.020  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

212.001  9500         3V                                                S  L
212.002  IEEE         [D2000]
212.003  IEEE         CH[M100]:COUPLING?[I$]
212.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

213.001  RSLT         =1 V/div
213.002  TARGET
213.003  IEEE         CH[M100]:SCA 1;POS -3;COUP DC
213.004  9500         5V                                                S  L
213.005  IEEE         [D2000]
213.006  IEEE         CH[M100]:COUPLING?[I$]
213.007  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

214.001  9500         10V                          50J            OP    S  L
214.002  IEEE         [D2000]
214.003  IEEE         CH[M100]:COUPLING?[I$]
214.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

215.001  LABEL        CH4_MAX_INPUT_VOLTAGE_TEST
215.002  JMPL         END_MAX_INPUT_VOLTAGE_TEST   M[102]!=4
215.003  9500         *                                                 S
215.004  IEEE         FACTORY
215.005  IEEE         HEADER OFF
215.006  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

215.007  HEAD         MAXIMUM INPUT VOLTAGE CHANNEL 4
215.008  RSLT         =CHANNEL 4
215.009  MATH         M[100]=4
215.010  IEEE         SEL:CH4 ON;CH1 OFF
215.011  IEEE         TRIG:A:EDGE:SOU CH4;COUP DC;SLO RIS
215.012  IEEE         MEASU:MEAS1:SOURCE1 CH4;TYP HIGH
215.013  IEEE         MEASU:MEAS1:STATE ON

215.014  RSLT         =50 mV/div
215.015  TARGET
215.016  IEEE         CH[M100]:SCA 50E-3;POS -3
215.017  9500         1V                                                S  L
215.018  IEEE         [D2000]
215.019  IEEE         CH[M100]:COUPLING?[I$]
215.020  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

216.001  9500         3V                                                S  L
216.002  IEEE         [D2000]
216.003  IEEE         CH[M100]:COUPLING?[I$]
216.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

217.001  RSLT         =1 V/div
217.002  TARGET
217.003  IEEE         CH[M100]:SCA 1;POS -3;COUP DC
217.004  9500         5V                                                S  L
217.005  IEEE         [D2000]
217.006  IEEE         CH[M100]:COUPLING?[I$]
217.007  EVAL   -e FIND(MEM2,"DC",1): DC COUPLED

218.001  9500         10V                          50J            OP    S  L
218.002  IEEE         [D2000]
218.003  IEEE         CH[M100]:COUPLING?[I$]
218.004  EVAL   -e FIND(MEM2,"GND",1): GND COUPLED

219.001  LABEL        END_MAX_INPUT_VOLTAGE_TEST

#******************** BANDWIDTH ********************

#The UUT vertical gain is measured at the LF, and used to scale
#the HF measurement.
219.002  LABEL        BANDWIDTH_TESTS
219.003  JMPL         CH2_BANDWIDTH_TEST           M[102]!=1
219.004  HEAD         {BANDWIDTH}
219.005  RSLT         =100 mV/div
219.006  IEEE         FACTORY
219.007  IEEE         *WAI
219.008  IEEE         HEAD OFF
219.009  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
219.010  IEEE         TRIG:A:TYPE EDGE
219.011  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
219.012  IEEE         MEASU:METH MINM

219.013  HEAD         BANDWIDTH CHANNEL 1
219.014  RSLT         =CHANNEL 1
219.015  IEEE         SEL:CH1 ON
219.016  IEEE         MEASU:MEAS1:SOURCE1 CH1;TYP PK2P
219.017  IEEE         MEASU:MEAS1:STATE ON
219.018  M9500                       CH1

219.019  TARGET
219.020  MATH         M[100]=1;M[99]=100E-3;M[97]=40E-9;M[94]=1E-9;M[95]=100
219.021  CALL         Sub Tek 72XX BANDWIDTH MEAS /9500+3200
219.022  JMPL         CH2_BANDWIDTH_TEST
219.023  EVAL   dummy

220.001  LABEL        CH2_BANDWIDTH_TEST
220.002  JMPL         CH3_BANDWIDTH_TEST           M[102]!=2
220.003  HEAD         {BANDWIDTH}
220.004  IEEE         FACTORY
220.005  IEEE         *WAI
220.006  IEEE         HEAD OFF
220.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
220.008  IEEE         TRIG:A:TYPE EDGE
220.009  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
220.010  IEEE         MEASU:METH MINM

220.011  HEAD         BANDWIDTH CHANNEL 2
220.012  RSLT         =CHANNEL 2
220.013  IEEE         SEL:CH2 ON;CH1 OFF
220.014  IEEE         TRIG:A:EDGE:SOU CH2
220.015  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP PK2P
220.016  IEEE         MEASU:MEAS1:STATE ON

220.017  TARGET
220.018  MATH         M[100]=2;M[99]=100E-3;M[97]=40E-9;M[94]=1E-9;M[95]=100
220.019  CALL         Sub Tek 72XX BANDWIDTH MEAS /9500+3200
220.020  JMPL         CH3_BANDWIDTH_TEST
220.021  EVAL   dummy

221.001  LABEL        CH3_BANDWIDTH_TEST
221.002  JMPL         CH4_BANDWIDTH_TEST           M[102]!=3
221.003  HEAD         {BANDWIDTH}
221.004  IEEE         FACTORY
221.005  IEEE         *WAI
221.006  IEEE         HEAD OFF
221.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
221.008  IEEE         TRIG:A:TYPE EDGE
221.009  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
221.010  IEEE         MEASU:METH MINM

221.011  HEAD         BANDWIDTH CHANNEL 3
221.012  RSLT         =CHANNEL 3
221.013  IEEE         SEL:CH3 ON;CH1 OFF
221.014  IEEE         TRIG:A:EDGE:SOU CH3
221.015  IEEE         MEASU:MEAS1:SOURCE1 CH3;TYP PK2P
221.016  IEEE         MEASU:MEAS1:STATE ON
221.017  9500         *                                                 S

221.018  TARGET
221.019  MATH         M[100]=3;M[99]=100E-3;M[97]=40E-9;M[94]=1E-9;M[95]=100
221.020  CALL         Sub Tek 72XX BANDWIDTH MEAS /9500+3200
221.021  JMPL         CH4_BANDWIDTH_TEST
221.022  EVAL   dummy

222.001  LABEL        CH4_BANDWIDTH_TEST
222.002  JMPL         END_BANDWIDTH_TEST           M[102]!=4
222.003  HEAD         {BANDWIDTH}
222.004  IEEE         FACTORY
222.005  IEEE         *WAI
222.006  IEEE         HEAD OFF
222.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
222.008  IEEE         TRIG:A:TYPE EDGE
222.009  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
222.010  IEEE         MEASU:METH MINM

222.011  HEAD         BANDWIDTH CHANNEL 4
222.012  RSLT         =CHANNEL 4
222.013  IEEE         SEL:CH4 ON;CH1 OFF
222.014  IEEE         TRIG:A:EDGE:SOU CH4
222.015  IEEE         MEASU:MEAS1:SOURCE1 CH4;TYP PK2P
222.016  IEEE         MEASU:MEAS1:STATE ON

222.017  TARGET
222.018  MATH         M[100]=4;M[99]=100E-3;M[97]=40E-9;M[94]=1E-9;M[95]=100
222.019  CALL         Sub Tek 72XX BANDWIDTH MEAS /9500+3200
222.020  JMPL         END_BANDWIDTH_TEST
222.021  EVAL   dummy

223.001  LABEL        END_BANDWIDTH_TEST
223.002  JMPL         CHANNEL_ISOLATION_TESTS

#******************** DELAY BETWEEN CHANNELS ********************

223.003  LABEL        DELAY_BETWEEN_CHANNELS
223.004  HEAD         {DELAY BETWEEN CHANNELS @ 500 MHz}
223.005  DISP         Connect the Calibrator to the [S2] as follows:
223.005  DISP         [32]
223.005  DISP         CH1 95X0 Active Head to [S2] CH1&CH2 inputs
223.005  DISP         using a power splitter and two equal length short cables
223.006  TARGET
223.007  IEEE         FACTORY
223.008  IEEE         *WAI
223.009  IEEE         HEAD OFF
223.010  IEEE         HOR:SCA 500E-12
223.011  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
223.012  IEEE         TRIG:A:TYPE EDGE
223.013  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
223.014  M9500                    CH1
223.015  9500         500MH                        1.5Vpp         LS    S  L
223.016  IEEE         TRIG:A SETL[D2000]
223.017  IEEE         HOR:SCA 100E-12

223.018  RSLT         =CHANNEL 1-2
223.019  IEEE         SEL:CH1 ON;CH2 ON
223.020  IEEE         CH1:COUP DC;IMP FIFTY
223.021  IEEE         CH2:COUP DC;IMP FIFTY
223.022  IEEE         MEASU:MEAS1:TYP DEL
223.023  IEEE         MEASU:MEAS1:STATE ON
223.024  IEEE         MEASU:MEAS1:SOURCE1 CH1
223.024  IEEE         MEASU:MEAS1:SOURCE2 CH2
223.024  IEEE         MEASU:MEAS1:DEL:EDGE1 RIS
223.024  IEEE         MEASU:MEAS1:DEL:EDGE2 RIS
223.025  IEEE         TRIG:A SETL[D6000]

223.026  IEEE         MEASU:MEAS1:VAL?[I]
223.027  MATH         M[7]=MEM*1E12;
223.028  DISP         Connect the Calibrator to the [S2] as follows:
223.028  DISP         [32]
223.028  DISP         Reverse the connections to CH1 and CH2 inputs
223.028  DISP         at the [S2] terminals
223.029  IEEE         MEASU:MEAS1:TYP DEL
223.030  IEEE         MEASU:MEAS1:STATE ON
223.031  IEEE         MEASU:MEAS1:SOURCE1 CH1
223.031  IEEE         MEASU:MEAS1:SOURCE2 CH2
223.031  IEEE         MEASU:MEAS1:DEL:EDGE1 RIS
223.031  IEEE         MEASU:MEAS1:DEL:EDGE2 RIS
223.032  IEEE         TRIG:A SETL[D2000]
223.033  IEEE         [D6000]

223.034  IEEE         MEASU:MEAS1:VAL?[I]
223.035  MATH         MEM=(M[7]+(MEM*1E12))/2
223.036  ACC          pT             2.0e-3U
223.037  MEME
223.038  MEMC         0pT            30U

224.001  DISP         Connect the Calibrator to the [S2] as follows:
224.001  DISP         [32]
224.001  DISP         CH1 95X0 Active Head to [S2] CH1&CH3 inputs
224.001  DISP         using a power splitter and two equal length short cables
224.002  TARGET
224.003  IEEE         FACTORY
224.004  IEEE         *WAI
224.005  IEEE         HEAD OFF
224.006  IEEE         HOR:SCA 500E-12
224.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
224.008  IEEE         TRIG:A:TYPE EDGE
224.009  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
224.010  M9500                    CH1
224.011  9500         500MH                        1.5Vpp         LS    S  L
224.012  IEEE         TRIG:A SETL[D2000]
224.013  IEEE         HOR:SCA 100E-12

224.014  RSLT         =CHANNEL 1-3
224.015  IEEE         SEL:CH1 ON;CH3 ON
224.016  IEEE         CH1:COUP DC;IMP FIFTY
224.017  IEEE         CH3:COUP DC;IMP FIFTY
224.018  IEEE         MEASU:MEAS1:TYP DEL
224.019  IEEE         MEASU:MEAS1:STATE ON
224.020  IEEE         MEASU:MEAS1:SOURCE1 CH1
224.020  IEEE         MEASU:MEAS1:SOURCE2 CH3
224.020  IEEE         MEASU:MEAS1:DEL:EDGE1 RIS
224.020  IEEE         MEASU:MEAS1:DEL:EDGE2 RIS
224.021  IEEE         TRIG:A SETL[D6000]

224.022  IEEE         MEASU:MEAS1:VAL?[I]
224.023  MATH         M[7]=MEM*1E12;
224.024  DISP         Connect the Calibrator to the [S2] as follows:
224.024  DISP         [32]
224.024  DISP         Reverse the connections to CH1 and CH3 inputs
224.024  DISP         at the [S2] terminals
224.025  IEEE         MEASU:MEAS1:TYP DEL
224.026  IEEE         MEASU:MEAS1:STATE ON
224.027  IEEE         MEASU:MEAS1:SOURCE1 CH1
224.027  IEEE         MEASU:MEAS1:SOURCE2 CH3
224.027  IEEE         MEASU:MEAS1:DEL:EDGE1 RIS
224.027  IEEE         MEASU:MEAS1:DEL:EDGE2 RIS
224.028  IEEE         TRIG:A SETL[D2000]
224.029  IEEE         [D6000]

224.030  IEEE         MEASU:MEAS1:VAL?[I]
224.031  MATH         MEM=(M[7]+(MEM*1E12))/2
224.032  ACC          pT             2.0e-3U
224.033  MEME
224.034  MEMC         0pT            30U

225.001  DISP         Connect the Calibrator to the [S2] as follows:
225.001  DISP         [32]
225.001  DISP         CH1 95X0 Active Head to [S2] CH1&CH4 inputs
225.001  DISP         using a power splitter and two equal length short cables
225.002  TARGET
225.003  IEEE         FACTORY
225.004  IEEE         *WAI
225.005  IEEE         HEAD OFF
225.006  IEEE         HOR:SCA 500E-12
225.007  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
225.008  IEEE         TRIG:A:TYPE EDGE
225.009  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS
225.010  M9500                    CH1
225.011  9500         500MH                        1.5Vpp         LS    S  L
225.012  IEEE         TRIG:A SETL[D2000]
225.013  IEEE         HOR:SCA 100E-12

225.014  RSLT         =CHANNEL 1-4
225.015  IEEE         SEL:CH1 ON;CH4 ON
225.016  IEEE         CH1:COUP DC;IMP FIFTY
225.017  IEEE         CH4:COUP DC;IMP FIFTY
225.018  IEEE         MEASU:MEAS1:TYP DEL
225.019  IEEE         MEASU:MEAS1:STATE ON
225.020  IEEE         MEASU:MEAS1:SOURCE1 CH1
225.020  IEEE         MEASU:MEAS1:SOURCE2 CH4
225.020  IEEE         MEASU:MEAS1:DEL:EDGE1 RIS
225.020  IEEE         MEASU:MEAS1:DEL:EDGE2 RIS
225.021  IEEE         TRIG:A SETL[D6000]

225.022  IEEE         MEASU:MEAS1:VAL?[I]
225.023  MATH         M[7]=MEM*1E12;
225.024  DISP         Connect the Calibrator to the [S2] as follows:
225.024  DISP         [32]
225.024  DISP         Reverse the connections to CH1 and CH4 inputs
225.024  DISP         at the [S2] terminals
225.025  IEEE         MEASU:MEAS1:TYP DEL
225.026  IEEE         MEASU:MEAS1:STATE ON
225.027  IEEE         MEASU:MEAS1:SOURCE1 CH1
225.027  IEEE         MEASU:MEAS1:SOURCE2 CH4
225.027  IEEE         MEASU:MEAS1:DEL:EDGE1 RIS
225.027  IEEE         MEASU:MEAS1:DEL:EDGE2 RIS
225.028  IEEE         TRIG:A SETL[D2000]
225.029  IEEE         [D6000]

225.030  IEEE         MEASU:MEAS1:VAL?[I]
225.031  MATH         MEM=(M[7]+(MEM*1E12))/2
225.032  ACC          pT             2.0e-3U
225.033  MEME
225.034  MEMC         0pT            30U
226.001  M9500                    CH1
226.002  9500         *                                                 S
226.003  JMPL         REFERENCE_OUTPUT

# ******************** CHANNEL ISOLATION ********************

226.004  LABEL        CHANNEL_ISOLATION_TESTS
226.005  HEAD         CHANNEL ISOLATION
226.006  JMPL         CH2_1.5GHz_100mV_TEST        M[102]!=1
226.007  RSLT         =CHANNEL ISOLATION
226.008  RSLT         =1.5GHz
226.009  RSLT         =100 mV/div
226.010  ASK-                              U
226.011  IEEE         FACTORY
226.012  IEEE         *WAI
226.013  IEEE         HEAD OFF
226.014  IEEE         SEL:CH1 ON;CH2 ON;CH3 ON;CH4 ON
226.015  IEEE         CH1:SCA 100E-3
226.015  IEEE         CH2:SCA 100E-3
226.015  IEEE         CH3:SCA 100E-3
226.016  IEEE         CH4:SCA 100E-3
226.017  IEEE         HOR:SCA 1E-9
226.018  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
226.019  IEEE         ACQUIRE:REPET ON
226.020  IEEE         TRIG:A:TYPE EDGE
226.021  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS

226.022  MATH         M[100]=1;M[93]=1;M[1]=500;M[90]=1.5E9;M[99]=0.1;S[3]="A"
226.023  M9500                       CH1
226.024  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
226.025  MATH         MEM=M[1]*2
226.026  9500         mVpp                         1.5GH          LS    S  L
226.027  ASK-       Q
226.028  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
226.029  JMPL         CH1_1.5GHz_50mV_TEST
226.030  EVAL   dummy

227.001  LABEL        CH2_1.5GHz_100mV_TEST
227.002  JMPL         CH3_1.5GHz_100mV_TEST        M[102]!=2
227.003  ASK-                              U
227.004  IEEE         FACTORY
227.005  IEEE         *WAI
227.006  IEEE         HEAD OFF
227.007  IEEE         SEL:CH1 ON;CH2 ON;CH3 ON;CH4 ON
227.008  IEEE         CH1:SCA 100E-3
227.008  IEEE         CH2:SCA 100E-3
227.008  IEEE         CH3:SCA 100E-3
227.009  IEEE         CH4:SCA 100E-3
227.010  IEEE         HOR:SCA 1E-9
227.011  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
227.012  IEEE         ACQUIRE:REPET ON

227.013  MATH         M[100]=2;M[93]=1;M[1]=500;M[90]=1.5E9;M[99]=0.1;S[3]="A"
227.014  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
227.015  MATH         MEM=M[1]*2
227.016  9500         mVpp                         1.5GH          LS    S  L
227.017  ASK-       Q
227.018  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
227.019  JMPL         CH2_1.5GHz_50mV_TEST
227.020  EVAL   dummy

228.001  LABEL        CH3_1.5GHz_100mV_TEST
228.002  JMPL         CH4_1.5GHz_100mV_TEST        M[102]!=3
228.003  ASK-                              U
228.004  IEEE         FACTORY
228.005  IEEE         *WAI
228.006  IEEE         HEAD OFF
228.007  IEEE         SEL:CH1 ON;CH2 ON;CH3 ON;CH4 ON
228.008  IEEE         CH1:SCA 100E-3
228.008  IEEE         CH2:SCA 100E-3
228.008  IEEE         CH3:SCA 100E-3
228.009  IEEE         CH4:SCA 100E-3
228.010  IEEE         HOR:SCA 1E-9
228.011  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
228.012  IEEE         ACQUIRE:REPET ON

228.013  MATH         M[100]=3;M[93]=1;M[1]=500;M[90]=1.5E9;M[99]=0.1;S[3]="A"
228.014  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
228.015  MATH         MEM=M[1]*2
228.016  9500         mVpp                         1.5GH          LS    S  L
228.017  ASK-       Q
228.018  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
228.019  JMPL         CH3_1.5GHz_50mV_TEST
228.020  EVAL   dummy

229.001  LABEL        CH4_1.5GHz_100mV_TEST
229.002  JMPL         END_CROSSTALK_TEST           M[102]!=4
229.003  ASK-                              U
229.004  IEEE         FACTORY
229.005  IEEE         *WAI
229.006  IEEE         HEAD OFF
229.007  IEEE         SEL:CH1 ON;CH2 ON;CH3 ON;CH4 ON
229.008  IEEE         CH1:SCA 100E-3
229.008  IEEE         CH2:SCA 100E-3
229.008  IEEE         CH3:SCA 100E-3
229.009  IEEE         CH4:SCA 100E-3
229.010  IEEE         HOR:SCA 1E-9
229.011  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
229.012  IEEE         ACQUIRE:REPET ON

229.013  MATH         M[100]=4;M[93]=1;M[1]=500;M[90]=1.5E9;M[99]=0.1;S[3]="A"
229.014  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
229.015  MATH         MEM=M[1]*2
229.016  9500         mVpp                         1.5GH          LS    S  L
229.017  ASK-       Q
229.018  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
229.019  JMPL         CH4_1.5GHz_50mV_TEST
229.020  EVAL   dummy

230.001  LABEL        CH1_1.5GHz_50mV_TEST
230.002  RSLT         =50 mV/div
230.003  IEEE         CH1:SCA 50E-3
230.003  IEEE         CH2:SCA 50E-3
230.003  IEEE         CH3:SCA 50E-3
230.004  IEEE         CH4:SCA 50E-3
230.005  MATH         M[100]=1;M[93]=1;M[1]=250;M[90]=1.5E9;M[99]=50E-3

230.006  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
230.007  MATH         MEM=M[1]*2
230.008  9500         mVpp                         1.5GH          LS    S  L
230.009  ASK-       Q
230.010  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
230.011  JMPL         CH1_1.5GHz_10mV_TEST
230.012  EVAL   dummy

231.001  LABEL        CH2_1.5GHz_50mV_TEST
231.002  IEEE         CH1:SCA 50E-3
231.002  IEEE         CH2:SCA 50E-3
231.002  IEEE         CH3:SCA 50E-3
231.003  IEEE         CH4:SCA 50E-3
231.004  MATH         M[100]=2;M[93]=1;M[1]=250;M[90]=1.5E9;M[99]=50E-3

231.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
231.006  MATH         MEM=M[1]*2
231.007  9500         mVpp                         1.5GH          LS    S  L
231.008  ASK-       Q
231.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
231.010  JMPL         CH2_1.5GHz_10mV_TEST
231.011  EVAL   dummy

232.001  LABEL        CH3_1.5GHz_50mV_TEST
232.002  IEEE         CH1:SCA 50E-3
232.002  IEEE         CH2:SCA 50E-3
232.002  IEEE         CH3:SCA 50E-3
232.003  IEEE         CH4:SCA 50E-3
232.004  MATH         M[100]=3;M[93]=1;M[1]=250;M[90]=1.5E9;M[99]=50E-3

232.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
232.006  MATH         MEM=M[1]*2
232.007  9500         mVpp                         1.5GH          LS    S  L
232.008  ASK-       Q
232.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
232.010  JMPL         CH3_1.5GHz_10mV_TEST
232.011  EVAL   dummy

233.001  LABEL        CH4_1.5GHz_50mV_TEST
233.002  IEEE         CH1:SCA 50E-3
233.002  IEEE         CH2:SCA 50E-3
233.002  IEEE         CH3:SCA 50E-3
233.003  IEEE         CH4:SCA 50E-3
233.004  MATH         M[100]=4;M[93]=1;M[1]=250;M[90]=1.5E9;M[99]=50E-3

233.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
233.006  MATH         MEM=M[1]*2
233.007  9500         mVpp                         1.5GH          LS    S  L
233.008  ASK-       Q
233.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
233.010  JMPL         CH4_1.5GHz_10mV_TEST
233.011  EVAL   dummy

234.001  LABEL        CH1_1.5GHz_10mV_TEST
234.002  RSLT         =10 mV/div
234.003  IEEE         CH1:SCA 10E-3
234.003  IEEE         CH2:SCA 10E-3
234.003  IEEE         CH3:SCA 10E-3
234.004  IEEE         CH4:SCA 10E-3
234.005  MATH         M[100]=1;M[93]=1;M[1]=50;M[90]=1.5E9;M[99]=10E-3

234.006  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
234.007  MATH         MEM=M[1]*2
234.008  9500         mVpp                         1.5GH          LS    S  L
234.009  ASK-       Q
234.010  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
234.011  JMPL         CH1_2.5GHz_100mV_TEST
234.012  EVAL   dummy

235.001  LABEL        CH2_1.5GHz_10mV_TEST
235.002  IEEE         CH1:SCA 10E-3
235.002  IEEE         CH2:SCA 10E-3
235.002  IEEE         CH3:SCA 10E-3
235.003  IEEE         CH4:SCA 10E-3
235.004  MATH         M[100]=2;M[93]=1;M[1]=50;M[90]=1.5E9;M[99]=10E-3

235.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
235.006  MATH         MEM=M[1]*2
235.007  9500         mVpp                         1.5GH          LS    S  L
235.008  ASK-       Q
235.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
235.010  JMPL         CH2_2.5GHz_100mV_TEST
235.011  EVAL   dummy

236.001  LABEL        CH3_1.5GHz_10mV_TEST
236.002  IEEE         CH1:SCA 10E-3
236.002  IEEE         CH2:SCA 10E-3
236.002  IEEE         CH3:SCA 10E-3
236.003  IEEE         CH4:SCA 10E-3
236.004  MATH         M[100]=3;M[93]=1;M[1]=50;M[90]=1.5E9;M[99]=10E-3

236.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
236.006  MATH         MEM=M[1]*2
236.007  9500         mVpp                         1.5GH          LS    S  L
236.008  ASK-       Q
236.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
236.010  JMPL         CH3_2.5GHz_100mV_TEST
236.011  EVAL   dummy

237.001  LABEL        CH4_1.5GHz_10mV_TEST
237.002  IEEE         CH1:SCA 10E-3
237.002  IEEE         CH2:SCA 10E-3
237.002  IEEE         CH3:SCA 10E-3
237.003  IEEE         CH4:SCA 10E-3
237.004  MATH         M[100]=4;M[93]=1;M[1]=50;M[90]=1.5E9;M[99]=10E-3

237.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
237.006  MATH         MEM=M[1]*2
237.007  9500         mVpp                         1.5GH          LS    S  L
237.008  ASK-       Q
237.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
237.010  JMPL         CH4_2.5GHz_100mV_TEST
237.011  EVAL   dummy

# ********** 2.5 GHz **********

238.001  LABEL        CH1_2.5GHz_100mV_TEST
238.002  HEAD         {CHANNEL ISOLATION}
238.003  RSLT         =2.5 GHz
238.004  RSLT         =100 mV/div
238.005  IEEE         CH1:SCA 100E-3
238.005  IEEE         CH2:SCA 100E-3
238.005  IEEE         CH3:SCA 100E-3
238.006  IEEE         CH4:SCA 100E-3
238.007  IEEE         HOR:SCA 200E-12
238.008  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
238.009  IEEE         ACQUIRE:REPET ON
238.010  IEEE         TRIG:A:TYPE EDGE
238.011  IEEE         TRIG:A:EDGE:SOU CH1;COUP DC;SLO RIS

238.012  MATH         M[100]=1;M[93]=1;M[1]=500;M[90]=2.5E9;M[99]=0.1;S[3]="A"

238.013  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
238.014  MATH         MEM=M[1]*2
238.015  9500         mVpp                         2.5GH          LS    S  L
238.016  ASK-       Q
238.017  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
238.018  JMPL         CH1_2.5GHz_50mV_TEST
238.019  EVAL   dummy

239.001  LABEL        CH2_2.5GHz_100mV_TEST
239.002  IEEE         CH1:SCA 100E-3
239.002  IEEE         CH2:SCA 100E-3
239.002  IEEE         CH3:SCA 100E-3
239.003  IEEE         CH4:SCA 100E-3
239.004  IEEE         HOR:SCA 200E-12
239.005  MATH         M[100]=2;M[93]=1;M[1]=500;M[90]=2.5E9;M[99]=0.1

239.006  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
239.007  MATH         MEM=M[1]*2
239.008  9500         mVpp                         2.5GH          LS    S  L
239.009  ASK-       Q
239.010  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
239.011  JMPL         CH2_2.5GHz_50mV_TEST
239.012  EVAL   dummy

240.001  LABEL        CH3_2.5GHz_100mV_TEST
240.002  IEEE         CH1:SCA 100E-3
240.002  IEEE         CH2:SCA 100E-3
240.002  IEEE         CH3:SCA 100E-3
240.003  IEEE         CH4:SCA 100E-3
240.004  IEEE         HOR:SCA 200E-12
240.005  MATH         M[100]=3;M[93]=1;M[1]=500;M[90]=2.5E9;M[99]=0.1

240.006  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
240.007  MATH         MEM=M[1]*2
240.008  9500         mVpp                         2.5GH          LS    S  L
240.009  ASK-       Q
240.010  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
240.011  JMPL         CH3_2.5GHz_50mV_TEST
240.012  EVAL   dummy

241.001  LABEL        CH4_2.5GHz_100mV_TEST
241.002  IEEE         CH1:SCA 100E-3
241.002  IEEE         CH2:SCA 100E-3
241.002  IEEE         CH3:SCA 100E-3
241.003  IEEE         CH4:SCA 100E-3
241.004  IEEE         HOR:SCA 200E-12
241.005  MATH         M[100]=4;M[93]=1;M[1]=500;M[90]=2.5E9;M[99]=0.1

241.006  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
241.007  MATH         MEM=M[1]*2
241.008  9500         mVpp                         2.5GH          LS    S  L
241.009  ASK-       Q
241.010  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
241.011  JMPL         CH4_2.5GHz_50mV_TEST
241.012  EVAL   dummy

242.001  LABEL        CH1_2.5GHz_50mV_TEST
242.002  RSLT         =50 mV/div
242.003  IEEE         CH1:SCA 50E-3
242.003  IEEE         CH2:SCA 50E-3
242.003  IEEE         CH3:SCA 50E-3
242.004  IEEE         CH4:SCA 50E-3
242.005  MATH         M[100]=1;M[93]=1;M[1]=250;M[90]=2.5E9;M[99]=50E-3

242.006  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
242.007  MATH         MEM=M[1]*2
242.008  9500         mVpp                         2.5GH          LS    S  L
242.009  ASK-       Q
242.010  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
242.011  JMPL         CH1_2.5GHz_10mV_TEST
242.012  EVAL   dummy

243.001  LABEL        CH2_2.5GHz_50mV_TEST
243.002  IEEE         CH1:SCA 50E-3
243.002  IEEE         CH2:SCA 50E-3
243.002  IEEE         CH3:SCA 50E-3
243.003  IEEE         CH4:SCA 50E-3
243.004  MATH         M[100]=2;M[93]=1;M[1]=250;M[90]=2.5E9;M[99]=50E-3

243.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
243.006  MATH         MEM=M[1]*2
243.007  9500         mVpp                         2.5GH          LS    S  L
243.008  ASK-       Q
243.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
243.010  JMPL         CH2_2.5GHz_10mV_TEST
243.011  EVAL   dummy

244.001  LABEL        CH3_2.5GHz_50mV_TEST
244.002  IEEE         CH1:SCA 50E-3
244.002  IEEE         CH2:SCA 50E-3
244.002  IEEE         CH3:SCA 50E-3
244.003  IEEE         CH4:SCA 50E-3
244.004  MATH         M[100]=3;M[93]=1;M[1]=250;M[90]=2.5E9;M[99]=50E-3

244.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
244.006  MATH         MEM=M[1]*2
244.007  9500         mVpp                         2.5GH          LS    S  L
244.008  ASK-       Q
244.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
244.010  JMPL         CH3_2.5GHz_10mV_TEST
244.011  EVAL   dummy

245.001  LABEL        CH4_2.5GHz_50mV_TEST
245.002  IEEE         CH1:SCA 50E-3
245.002  IEEE         CH2:SCA 50E-3
245.002  IEEE         CH3:SCA 50E-3
245.003  IEEE         CH4:SCA 50E-3
245.004  MATH         M[100]=4;M[93]=1;M[1]=250;M[90]=2.5E9;M[99]=50E-3

245.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
245.006  MATH         MEM=M[1]*2
245.007  9500         mVpp                         2.5GH          LS    S  L
245.008  ASK-       Q
245.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
245.010  JMPL         CH4_2.5GHz_10mV_TEST
245.011  EVAL   dummy

246.001  LABEL        CH1_2.5GHz_10mV_TEST
246.002  RSLT         =10 mV/div
246.003  LABEL        CROSSTALK_10mV_2.5GHZ
246.004  IEEE         CH1:SCA 10E-3
246.004  IEEE         CH2:SCA 10E-3
246.004  IEEE         CH3:SCA 10E-3
246.005  IEEE         CH4:SCA 10E-3
246.006  MATH         M[100]=1;M[93]=1;M[1]=50;M[90]=2.5E9;M[99]=10E-3

246.007  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
246.008  MATH         MEM=M[1]*2
246.009  9500         mVpp                         2.5GH          LS    S  L
246.010  ASK-       Q
246.011  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
246.012  JMPL         END_CROSSTALK_TEST
246.013  EVAL   dummy

247.001  LABEL        CH2_2.5GHz_10mV_TEST
247.002  IEEE         CH1:SCA 10E-3
247.002  IEEE         CH2:SCA 10E-3
247.002  IEEE         CH3:SCA 10E-3
247.003  IEEE         CH4:SCA 10E-3
247.004  MATH         M[100]=2;M[93]=1;M[1]=50;M[90]=2.5E9;M[99]=10E-3

247.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
247.006  MATH         MEM=M[1]*2
247.007  9500         mVpp                         2.5GH          LS    S  L
247.008  ASK-       Q
247.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
247.010  JMPL         END_CROSSTALK_TEST
247.011  EVAL   dummy

248.001  LABEL        CH3_2.5GHz_10mV_TEST
248.002  IEEE         CH1:SCA 10E-3
248.002  IEEE         CH2:SCA 10E-3
248.002  IEEE         CH3:SCA 10E-3
248.003  IEEE         CH4:SCA 10E-3
248.004  MATH         M[100]=3;M[93]=1;M[1]=50;M[90]=2.5E9;M[99]=10E-3

248.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
248.006  MATH         MEM=M[1]*2
248.007  9500         mVpp                         2.5GH          LS    S  L
248.008  ASK-       Q
248.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
248.010  JMPL         END_CROSSTALK_TEST
248.011  EVAL   dummy

249.001  LABEL        CH4_2.5GHz_10mV_TEST
249.002  IEEE         CH1:SCA 10E-3
249.002  IEEE         CH2:SCA 10E-3
249.002  IEEE         CH3:SCA 10E-3
249.003  IEEE         CH4:SCA 10E-3
249.004  MATH         M[100]=4;M[93]=1;M[1]=50;M[90]=2.5E9;M[99]=10E-3

249.005  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
249.006  MATH         MEM=M[1]*2
249.007  9500         mVpp                         2.5GH          LS    S  L
249.008  ASK-       Q
249.009  CALL         Sub Tek 72XX CROSSTALK CHECK /9500+3200
249.010  JMPL         END_CROSSTALK_TEST
249.011  EVAL   dummy
250.001  LABEL        END_CROSSTALK_TEST
250.002  ASK+       Q                      U


# ******************** INPUT IMPEDANCE ********************

250.003  LABEL        INPUT_IMPEDANCE_TESTS
250.004  JMPL         CH2_INPUT_IMPEDANCE          M[102]!=1
250.005  HEAD         {INPUT IMPEDANCE} CHANNEL 1
250.006  IEEE         *RST
250.007  MATH         M[100]=1
250.008  M9500                       CH1
250.009  IEEE         SEL:CH1 ON
250.010  RSLT         =CH [M100]: 10 mV/div
250.011  TARGET
250.012  IEEE         CH[M100]:SCA 10E-3
250.013  9500         50.00Z                                         ZM N  2W
250.014  IEEE         [D3000]
250.015  9500         50.00Z         1.25U                           ZM    2W

251.001  RSLT         =CH [M100]: 100 mV/div
251.002  TARGET
251.003  IEEE         CH[M100]:SCA 100E-3
251.004  9500         50.00Z                                         ZM N  2W
251.005  IEEE         [D3000]
251.006  9500         50.00Z         1.25U                           ZM    2W

252.001  LABEL        CH2_INPUT_IMPEDANCE
252.002  JMPL         CH3_INPUT_IMPEDANCE          M[102]!=2
252.003  IEEE         *RST
252.004  HEAD         INPUT IMPEDANCE CHANNEL 2
252.005  MATH         M[100]=2
252.006  IEEE         SEL:CH2 ON;CH1 OFF

252.007  RSLT         =CH [M100]: 10 mV/div
252.008  TARGET
252.009  IEEE         CH[M100]:SCA 10E-3
252.010  9500         50.00Z                                         ZM N  2W
252.011  IEEE         [D3000]
252.012  9500         50.00Z         1.25U                           ZM    2W

253.001  RSLT         =CH [M100]: 100 mV/div
253.002  TARGET
253.003  IEEE         CH[M100]:SCA 100E-3
253.004  9500         50.00Z                                         ZM N  2W
253.005  IEEE         [D3000]
253.006  9500         50.00Z         1.25U                           ZM    2W

254.001  LABEL        CH3_INPUT_IMPEDANCE
254.002  JMPL         CH4_INPUT_IMPEDANCE          M[102]!=3
254.003  IEEE         *RST
254.004  HEAD         INPUT IMPEDANCE CHANNEL 3
254.005  MATH         M[100]=3
254.006  IEEE         SEL:CH3 ON;CH1 OFF

254.007  RSLT         =CH [M100]: 10 mV/div
254.008  TARGET
254.009  IEEE         CH[M100]:SCA 10E-3
254.010  9500         50.00Z                                         ZM N  2W
254.011  IEEE         [D3000]
254.012  9500         50.00Z         1.25U                           ZM    2W

255.001  RSLT         =CH [M100]: 100 mV/div
255.002  TARGET
255.003  IEEE         CH[M100]:SCA 100E-3
255.004  9500         50.00Z                                         ZM N  2W
255.005  IEEE         [D3000]
255.006  9500         50.00Z         1.25U                           ZM    2W

256.001  LABEL        CH4_INPUT_IMPEDANCE
256.002  JMPL         END_INPUT_IMPEDANCE          M[102]!=4
256.003  IEEE         *RST
256.004  HEAD         INPUT IMPEDANCE CHANNEL 4
256.005  MATH         M[100]=4
256.006  IEEE         SEL:CH4 ON;CH1 OFF

256.007  RSLT         =CH [M100]: 10 mV/div
256.008  TARGET
256.009  IEEE         CH[M100]:SCA 10E-3
256.010  9500         50.00Z                                         ZM N  2W
256.011  IEEE         [D3000]
256.012  9500         50.00Z         1.25U                           ZM    2W

257.001  RSLT         =CH [M100]: 100 mV/div
257.002  TARGET
257.003  IEEE         CH[M100]:SCA 100E-3
257.004  9500         50.00Z                                         ZM N  2W
257.005  IEEE         [D3000]
257.006  9500         50.00Z         1.25U                           ZM    2W
258.001  LABEL        END_INPUT_IMPEDANCE
258.002  HEAD
258.003  JMPL         TRIGGER_SYSTEM_CHECKS

# ******************** REFERENCE OUTPUT CHECKS ********************

258.004  LABEL        REFERENCE_OUTPUT
258.005  HEAD         {REFERENCE OUTPUT}
258.006  RSLT         =
258.007  HEAD         REFERENCE OUTPUT: {Timebase}
258.008  DISP         Connect REF OUT on UUT rear panel to PM 6681 Ch A.
258.009  TARGET
258.010  IEEE         FACTORY
258.011  IEEE         *WAI
258.012  IEEE         HEAD OFF
258.013  6681         10000.000kH    0.025U        2Vpp              FA    L

259.001  RSLT         =
259.002  HEAD         REFERENCE OUTPUT: {Amplitude (High)}
259.003  6681         1.00V                                          MX N  L
259.004  EVAL   -e MEM >= 1.00 : [32]High: [MEM2]V, Bound: >= 1
260.001  HEAD         REFERENCE OUTPUT: {Amplitude (Low)}
260.002  6681         0.25V                                          MN N  L
260.003  EVAL   -e MEM <= 0.25 : [32]Low: [MEM2]V, Bound: <= 0.25
261.001  DISP         Disconnect the PM 6681 from the UUT.

261.002  IEEE         FACTORY
261.003  IEEE         *WAI
261.004  IEEE         HEAD OFF
261.005  DISP         [32]
261.005  DISP         Connect the Calibrator to the [S2] as follows:
261.005  DISP         [32]
261.005  DISP         Connect the Active Head onto UUT EXT REF (Rear panel)
261.005  DISP         using a 50 Ohm feedthrough terminator.
261.005  DISP         [32]
261.006  9500         200mVpp                      10MH           LS    S  L
261.007  IEEE         [D2000]
261.008  HEAD         EXTERNAL REFERENCE SPC IN PROGRESS (takes several mins)
261.009  IEEE         ROSC:SOURCE EXTERNAL
261.010  IEEE         *CAL?
261.011  IEEE         [T0]CAL:RESULTS:SPC?[I$]
261.012  MATH         M[3]=CMPI(MEM2,"PASS")
261.013  MATH         M[3]=M[3]+1
261.014  EVAL   -e M[3]:EXTERNAL REFERENCE
262.001  IEEE         [D5000]
262.002  M9500                    CH1
262.003  9500         *                                                 S

262.004  HEAD         INTERNAL REFERENCE SPC IN PROGRESS (takes several mins)
262.005  IEEE         ROSC:SOURCE INTERNAL
262.006  IEEE         *CAL?
262.007  IEEE         [T0]CAL:RESULTS:SPC?[I$]
262.008  MATH         M[3]=CMPI(MEM2,"PASS")
262.009  MATH         M[3]=M[3]+1
262.010  EVAL   -e M[3]:INTERNAL REFERENCE
263.001  HEAD

#******************** DELTA TIME ACCURACY ********************

263.002  LABEL        DELTA_TIME_ACCURACY
263.003  HEAD         {DELTA TIME ACCURACY} CHANNEL 1
263.004  PIC          tds7000_Dtime_9530
263.004  PIC          "CONNECT TO CHANNEL 1 AS SHOWN BELOW "
263.005  IEEE         FACTORY
263.006  IEEE         *WAI
263.007  IEEE         HEAD OFF
263.008  RSLT         =CH1
263.009  MATH         M[100]=1
263.010  IEEE         SEL:CH1 ON
263.011  TARGET
263.012  9500         1Vpp                         1MH            FE    S  L
263.013  CALL         Sub Tek 72XX DELTA TIME CHECK /9500+3200
263.014  JMPL         CH2_NEXT
263.015  EVAL   dummy

264.001  LABEL        CH2_NEXT

264.002  LABEL        CH2_DELTA_TIME_TEST
264.003  PIC          tds7000_Dtime_9530
264.003  PIC          "CONNECT TO CHANNEL 2 AS SHOWN BELOW "
264.004  IEEE         FACTORY
264.005  IEEE         *WAI
264.006  IEEE         HEAD OFF
264.007  HEAD         DELTA TIME ACCURACY CHANNEL 2
264.008  RSLT         =CH2
264.009  MATH         M[100]=2
264.010  IEEE         SEL:CH1 OFF;CH2 ON
264.011  TARGET
264.012  9500         1Vpp                         1MH            FE    S  L
264.013  CALL         Sub Tek 72XX DELTA TIME CHECK /9500+3200
264.014  JMPL         CH3_NEXT
264.015  EVAL   dummy

265.001  LABEL        CH3_NEXT

265.002  LABEL        CH3_DELTA_TIME_TEST
265.003  PIC          tds7000_Dtime_9530
265.003  PIC          "CONNECT TO CHANNEL 3 AS SHOWN BELOW "
265.004  IEEE         FACTORY
265.005  IEEE         *WAI
265.006  IEEE         HEAD OFF
265.007  HEAD         DELTA TIME ACCURACY CHANNEL 3
265.008  RSLT         =CH3
265.009  MATH         M[100]=3
265.010  IEEE         SEL:CH1 OFF;CH3 ON
265.011  TARGET
265.012  9500         1Vpp                         1MH            FE    S  L
265.013  CALL         Sub Tek 72XX DELTA TIME CHECK /9500+3200
265.014  JMPL         CH4_NEXT
265.015  EVAL   dummy

266.001  LABEL        CH4_NEXT

266.002  LABEL        CH4_DELTA_TIME_TEST
266.003  PIC          tds7000_Dtime_9530
266.003  PIC          "CONNECT TO CHANNEL 4 AS SHOWN BELOW "
266.004  IEEE         FACTORY
266.005  IEEE         *WAI
266.006  IEEE         HEAD OFF
266.007  HEAD         DELTA TIME ACCURACY CHANNEL 4
266.008  RSLT         =CH4
266.009  MATH         M[100]=4
266.010  IEEE         SEL:CH1 OFF;CH4 ON
266.011  TARGET
266.012  9500         1Vpp                         1MH            FE    S  L
266.013  CALL         Sub Tek 72XX DELTA TIME CHECK /9500+3200
266.014  JMPL         END_NEXT
266.015  EVAL   dummy

267.001  LABEL        END_NEXT

267.002  LABEL        END_DELTA_TIME_TEST
267.003  M9500                    CH1
267.004  HEAD
267.005  JMPL         TRIGGER_SENSITIVITY_CHECKS

#******************** TRIGGER SYSTEM CHECKS ********************

267.006  LABEL        TRIGGER_SYSTEM_CHECKS
267.007  JMPL         END_TRIGGER_SYSTEM_CHECKS    M[102]!=1
267.008  HEAD         {TRIGGER SYSTEM CHECKS} Lower Limit
267.009  RSLT         =Lower Time Accuracy Limit < 500ns
267.010  TARGET
267.011  IEEE         FACTORY
267.012  IEEE         *WAI
267.013  IEEE         HEAD OFF
267.014  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
267.015  IEEE         TRIG:A:EDGE:SOU VERTICAL
267.016  IEEE         HOR:SCA 10E-9
267.017  MATH         M[1]=-1;M[2]=0
267.018  M9500                       CH1
267.019  9500         10nT                         500mVpp        LS    S  L
267.020  IEEE         TRIG:A SETL [D2000]
267.021  IEEE         TRIG:A:MODE NORM
267.022  IEEE         TRIG:A:TYPE PULSE
267.023  IEEE         TRIG:A:PULSE:CLASS WIDTH
267.023  IEEE         TRIG:A:PUL:WIDTH:WHEN WITHIN
267.023  IEEE         TRIG:A:PUL:WIDTH:HIGHL 10E-9
267.023  IEEE         TRIG:A:PUL:WIDTH:LOWLIMIT 2E-9
267.024  MATH         M[2]=2E-9
267.025  IEEE         TRIG:A SETL[D2000]
267.026  IEEE         [D1000]TRIG:STATE?[I$]
267.027  MATH         M[1]=CMPI(MEM2,"TRIGGER")
267.028  JMPL         SKIP_FAILED                  M[1] == 1
267.029  DISP         [SREG2] FAILED TO TRIGGER

267.030  LABEL        SKIP_FAILED
267.031  MATH         M[2]=M[2]+0.2E-9
267.032  IEEE         TRIG:A:PUL:WIDTH:LOWLIMIT [M2]
267.033  IEEE         TRIG:STATE?[I$][D1000]
267.034  MATH         M[1]=CMPI(MEM2,"TRIGGER")
267.035  JMPL         CONTINUE_TEST                M[1] == -1
267.036  JMPL         CONTINUE_TEST                M[2] > 10E-9
267.037  JMPL         SKIP_FAILED

267.038  LABEL        CONTINUE_TEST
267.039  MATH         MEM1=5.0E-6;MEM=M[2]*1E9
267.040  MEMC         5.0nT          1.5U

268.001  HEAD         TRIGGER SYSTEM CHECKS Upper Limit
268.002  RSLT         =Upper Time Accuracy Limit < 500ns
268.003  TARGET
268.004  IEEE         TRIG:A:PUL:WIDTH:LOWLIMIT 2E-9
268.005  MATH         M[2]=10E-9
268.006  9500         10nT                         500mVpp        LS    S  L
268.007  IEEE         [D4000]
268.008  LABEL        UPPER_LIMIT
268.009  MATH         M[2]=M[2]-0.2E-9
268.010  IEEE         TRIG:A:PUL:WIDTH:HIGHL [M2]
268.011  IEEE         [D1000]TRIG:STATE?[I$]
268.012  MATH         M[1]=CMPI(MEM2,"TRIGGER")
268.013  JMPL         CONTINUE_TEST_HIGH           M[1] == -1
268.014  JMPL         CONTINUE_TEST_HIGH           M[2] < 2E-9
268.015  JMPL         UPPER_LIMIT

268.016  LABEL        CONTINUE_TEST_HIGH
268.017  MATH         MEM1=5.0E-6;MEM=M[2]*1E9
268.018  MEMC         5.0nT          1.5U

269.001  HEAD         TRIGGER SYSTEM CHECKS Lower Limit
269.002  RSLT         =Lower Time Accuracy Limit > 520ns
269.003  TARGET
269.004  IEEE         HOR:SCA 4e-6
269.005  MATH         M[1]=-1;M[2]=0
269.006  9500         4uT                          500mVpp        LS    S  L
269.007  IEEE         CH1:SCA 20E-3
269.008  IEEE         TRIG:A SETL [D2000]
269.009  IEEE         TRIG:A:PUL:WIDTH:HIGHL 4e-6
269.009  IEEE         TRIG:A:PUL:WIDTH:LOWLIMIT 500e-9
269.010  MATH         M[2]=500E-9
269.011  IEEE         TRIG:A SETL[D2000]
269.012  IEEE         [D1000]TRIG:STATE?[I$]
269.013  MATH         M[1]=CMPI(MEM2,"TRIGGER")
269.014  JMPL         SKIP_FAILED_520ns            M[1] == 1
269.015  DISP         [SREG2] FAILED TO TRIGGER

269.016  LABEL        SKIP_FAILED_520ns
269.017  MATH         M[2]=M[2]+0.02E-6
269.018  IEEE         TRIG:A:PUL:WIDTH:LOWLIMIT [M2]
269.019  IEEE         [D1000]TRIG:STATE?[I$]
269.020  MATH         M[1]=CMPI(MEM2,"TRIGGER")
269.021  JMPL         CONTINUE_TEST_520ns          M[1] == -1
269.022  JMPL         CONTINUE_TEST_520ns          M[2] > 4E-6
269.023  JMPL         SKIP_FAILED_520ns

269.024  LABEL        CONTINUE_TEST_520ns
269.025  MATH         MEM1=2.0E-6;MEM=M[2]*1E6
269.026  MEMC         2.00UT         0.1U

270.001  HEAD         TRIGGER SYSTEM CHECKS Upper Limit
270.002  RSLT         =Upper Time Accuracy Limit > 520ns
270.003  TARGET
270.004  IEEE         TRIG:A:PUL:WIDTH:LOWLIMIT 500E-9
270.005  MATH         M[2]=4E-6
270.006  9500         4uT                          500mVpp        LS    S  L
270.007  IEEE         [D4000]
270.008  LABEL        UPPER_LIMIT_520ns
270.009  MATH         M[2]=M[2]-0.02E-6
270.010  IEEE         TRIG:A:PUL:WIDTH:HIGHL [M2]
270.011  IEEE         [D1000]TRIG:STATE?[I$]
270.012  MATH         M[1]=CMPI(MEM2,"TRIGGER")
270.013  JMPL         CONTINUE_TEST_HIGH_520ns     M[1] == -1
270.014  JMPL         CONTINUE_TEST_HIGH_520ns     M[2] < 500E-9
270.015  JMPL         UPPER_LIMIT_520ns

270.016  LABEL        CONTINUE_TEST_HIGH_520ns
270.017  MATH         MEM1=2.0E-6;MEM=M[2]*1E6
270.018  MEMC         2.00UT         0.1U
271.001  LABEL        END_TRIGGER_SYSTEM_CHECKS

#******************* CHANNEL SELECTION **********************

271.002  MATH         M[102]=M[102]+1
271.003  JMPL         DC_VOLTAGE_TEST              M[102] <= 4
271.004  JMPL         DELAY_BETWEEN_CHANNELS

#*************** TRIGGER SENSITIVITY ********************

271.005  LABEL        TRIGGER_SENSITIVITY_CHECKS
271.006  HEAD         {TRIGGER SENSITIVITY}
271.007  DISP         [32]
271.007  DISP         Connect the Calibrator to the [S2] as follows:
271.007  DISP         [32]
271.007  DISP         CH1 9530 Active Head to [S2] CH1 input.
271.008  IEEE         FACTORY
271.009  IEEE         *WAI[D2000]
271.010  IEEE         HEAD OFF
271.011  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
271.012  IEEE         TRIG:A:MODE NORM
271.013  IEEE         HOR:SCA 20E-9

271.014  RSLT         =CHANNEL 1
271.015  RSLT         =@ 50 MHz
271.016  TARGET
271.017  MATH         M[100]=1;M[93]=0;M[1]=350;M[90]=50E6;M[99]=0.1;S[3]="A"

271.018  IEEE         SEL:CH1 ON
271.019  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
271.020  MATH         MEM=M[1]/10
271.021  9500         mVpp                         50MH           LS    S  L
271.022  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
271.023  JMPL         CH1_Negative
271.024  EVAL   dummy
272.001  LABEL        CH1_Negative
272.002  MATH         M[93]=1
272.003  9500         mVpp                         50MH           LS    S  L
272.004  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
272.005  JMPL         CH1_DELAY_POSITIVE
272.006  EVAL   dummy

273.001  LABEL        CH1_DELAY_POSITIVE
273.002  RSLT         = DELAYED
273.003  TARGET
273.004  IEEE         TRIG:A:EDGE:SOURCE CH1
273.005  MATH         M[93]=1;S[3]="A"
273.006  9500         mVpp                         50MH           LS    S  L
273.007  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
# Subt 2mV from A trig level to ensure it's well passed the transition level
273.008  MATH         M[5]=M[5]-2E-3
273.009  IEEE         TRIG:[SREG3]:LEV [M5][D3000]
273.010  IEEE         TRIG:B:STATE ON
273.011  IEEE         TRIG:B:BY TIME
273.012  IEEE         TRIG:B
273.013  MATH         S[3]="B"
273.014  9500         mVpp                         50MH           LS    S  L
273.015  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
273.016  JMPL         CH1_DELAY_Negative
273.017  EVAL   dummy

274.001  LABEL        CH1_DELAY_Negative
274.002  MATH         M[93]=0
274.003  9500         mVpp                         50MH           LS    S  L
274.004  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
274.005  IEEE         TRIGGER:B:EDGE:SLOPE RIS
274.006  IEEE         TRIG:B:STATE OFF
274.007  JMPL         AUX_50MHz
274.008  EVAL   dummy

#***********AUX TRIG ********

275.001  LABEL        AUX_50MHz
275.002  HEAD         {AUX TRIGGER @ 50 MHz}
275.003  IEEE         TRIG:A
275.004  IEEE         TRIG:A:MODE NORM
275.005  MATH         M[100]=1
275.006  IEEE         HOR:SCA 20E-9

275.007  LABEL        AUX_POSITIVE
275.008  IEEE         TRIG:A:MODE NORM
275.009  TARGET
275.010  MATH         M[93]=0;M[1]=250;M[99]=0.1;M[90]=50E6;S[3]="A"

275.011  IEEE         SEL:CH1 ON
275.012  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
275.013  DISP         Connect the [S2] as follows:
275.013  DISP         [32]
275.013  DISP         CH1 Active Head to [S2] AUX IN
275.013  DISP         [32]
275.014  MATH         MEM=M[1]
275.015  IEEE         TRIG:A:EDGE:SOU AUX
275.016  9500         mVpp                         50MH           LS    S  L
275.017  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
275.018  JMPL         AUX_Negative
275.019  EVAL   dummy

276.001  LABEL        AUX_Negative
276.002  MATH         M[93]=1
276.003  9500         mVpp                         50MH           LS    S  L
276.004  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
276.005  JMPL         ALL_OVER
276.006  EVAL   dummy

277.001  LABEL        ALL_OVER
277.002  HEAD         TRIGGER SENSITIVITY
277.003  RSLT         =@ 2.5 GHz
277.004  DISP         Connect the [S2] as follows:
277.004  DISP         [32]
277.004  DISP         CH1 Active Head to [S2] CH1 INPUT
277.004  DISP         [32]
277.005  TARGET
277.006  IEEE         HOR:SCA 200E-12
277.007  MATH         M[100]=1;M[93]=0;M[1]=500;M[90]=2.5E9;M[99]=0.1;S[3]="A"

277.008  IEEE         SEL:CH1 ON
277.009  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
277.010  MATH         MEM=M[1]/5
277.011  9500         mVpp                         2.5GH          LS    S  L
277.012  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
277.013  JMPL         CH1_Negative_2.5GHz
277.014  EVAL   dummy

278.001  LABEL        CH1_Negative_2.5GHz
278.002  MATH         M[93]=1
278.003  9500         mVpp                         2.5GH          LS    S  L
278.004  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
278.005  JMPL         CH1_1.5GHz
278.006  EVAL   dummy

279.001  LABEL        CH1_1.5GHz
279.002  RSLT         = DELAYED
279.003  TARGET
279.004  IEEE         TRIG:A:EDGE:SOURCE CH1
279.005  IEEE         HOR:SCA 200E-12
279.006  MATH         M[100]=1;M[93]=1;M[1]=500;M[90]=1.5E9;M[99]=0.1;S[3]="A"

279.007  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
# Subt 2mV from A trig level to ensure it's well passed the transition level
279.008  MATH         M[5]=M[5]-2E-3
279.009  IEEE         TRIG:[SREG3]:LEV [M5][D3000]
279.010  IEEE         TRIG:B:STATE ON
279.011  IEEE         TRIG:B:BY TIME
279.012  IEEE         TRIG:B
279.013  MATH         S[3]="B"
279.014  MATH         MEM=M[1]/5
279.015  9500         mVpp                         1.5GH          LS    S  L
279.016  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
279.017  JMPL         CH1_Negative_1.5GHz
279.018  EVAL   dummy

280.001  LABEL        CH1_Negative_1.5GHz
280.002  MATH         M[93]=0
280.003  9500         mVpp                         1.5GH          LS    S  L
280.004  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
280.005  IEEE         TRIG:B:STATE OFF
280.006  JMPL         AUX_500MHZ
280.007  EVAL   dummy

#***********AUX TRIG 500 MHz ********

281.001  LABEL        AUX_500MHZ
281.002  HEAD         {AUX TRIGGER @ 500 MHz}
281.003  IEEE         TRIG:A
281.004  IEEE         TRIG:A:MODE NORM
281.005  MATH         M[100]=1
281.006  IEEE         HOR:SCA 2.5E-9

281.007  LABEL        AUX_POS
281.008  IEEE         TRIG:A:MODE NORM
281.009  TARGET
281.010  MATH         M[93]=0;M[1]=350;M[99]=0.1;M[90]=500E6;S[3]="A"

281.011  IEEE         SEL:CH1 ON
281.012  CALL         Sub Tek 72XX TRIG LEVEL /9500+3200
281.013  DISP         Connect the [S2] as follows:
281.013  DISP         [32]
281.013  DISP         CH1 Active Head to [S2] AUX IN
281.013  DISP         [32]
281.014  MATH         MEM=M[1]
281.015  IEEE         TRIG:A:EDGE:SOU AUX

281.016  9500         mVpp                         500MH          LS    S  L
281.017  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
281.018  JMPL         AUX_Neg
281.019  EVAL   dummy

282.001  LABEL        AUX_Neg
282.002  MATH         M[93]=1
282.003  9500         mVpp                         500MH          LS    S  L
282.004  CALL         Sub Tek 72XX TRIG CHECK /9500+3200
282.005  JMPL         TRIG_ALL_OVER
282.006  EVAL   dummy
283.001  LABEL        TRIG_ALL_OVER
283.002  HEAD

 #******************** OUTPUT SIGNAL CHECKS ********************

283.003  LABEL        OUTPUT_SIGNAL_CHECKS
283.004  HEAD         {OUTPUT SIGNAL CHECKS}
283.005  DISP         Connect the UUT as follows:
283.005  DISP         [32]
283.005  DISP         Connect [S2] AUX OUT to [S2] CH2 INPUT
283.005  DISP         using 50 Ohm cable.
283.005  DISP         Connect 9500 CH1 Active Head to [S2] CH3 INPUT
283.006  ASK-       Q
283.007  TARGET
283.008  IEEE         FACTORY
283.009  IEEE         *WAI
283.010  IEEE         HEAD OFF[D2000]
283.011  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16
283.012  IEEE         TRIG:A:EDGE:SOU VERTICAL

283.013  9500         0.5Vpp                       1kH            SQ    S  L
283.014  IEEE         SEL:CH1 OFF;CH3 ON
283.015  IEEE         TRIG:A:EDGE:SOU CH3
283.016  IEEE         HOR:SCA 200E-6
283.017  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 64
283.018  IEEE         SEL:CH3 OFF;CH2 ON
283.019  IEEE         CH2:SCA 500E-3;POS -1.5

283.020  RSLT         =AUX OUT HIGH
283.021  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP HIGH
283.022  IEEE         MEASU:MEAS1:STATE ON[D2000]
283.023  IEEE         MEASU:MEAS1:VAL?[I]
283.024  MATH         MEM1=1
283.025  MEMC         1.0V           -2U

284.001  RSLT         =AUX OUT LOW
284.002  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP LOW
284.003  IEEE         MEASU:MEAS1:STATE ON[D2000]
284.004  IEEE         MEASU:MEAS1:VAL?[I]
284.005  MATH         MEM1=0.25
284.006  MEMC         0.250V         +0.3U

285.001  DISP         Connect the [SREG2] as follows:
285.001  DISP         [32]
285.001  DISP         Transfer the CH2 cable from AUX OUT to SIGNAL OUT
285.002  RSLT         =SIGNAL OUT GAIN
285.003  9500         0.5Vpp                       1kH            SQ    S  L
285.004  IEEE         CH2:SCA 50E-3;POS 2
285.005  IEEE         TRIG:A:EDGE:SOU CH2
285.006  IEEE         TRIG:A SETL[D2000]
285.007  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP PK2P
285.008  IEEE         MEASU:MEAS1:STATE ON[D2000]
285.009  IEEE         MEASU:MEAS1:VAL?[I]
285.010  MATH         MEM1=0.05
285.011  MEMC         0.050V         0.010U

286.001  RSLT         =SIGNAL OUT OFFSET
286.002  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP LOW
286.003  IEEE         MEASU:MEAS1:STATE ON[D2000]
286.004  IEEE         MEASU:MEAS1:VAL?[I]
286.005  MATH         MEM1=-0.135
286.006  MEMC         -0.135V        0.035U
287.001  ASK+       Q

  #******************** PROBE COMPENSATION CHECKS ********************

287.002  HEAD         {PROBE COMPENSATION CHECKS}
287.003  DISP         Connect the UUT as follows:
287.003  DISP         [32]
287.003  DISP         Transfer CH2 cable from SIGNAL OUT to PROBE COMPENSATION
287.003  DISP         [32]
287.004  TARGET
287.005  IEEE         FACTORY
287.006  IEEE         *WAI
287.007  IEEE         HEAD OFF
287.008  IEEE         SEL:CH2 ON;CH1 OFF
287.009  IEEE         TRIG:A:EDGE:SOU CH2
287.010  IEEE         CH2:SCA 100E-3;OFFSET 0.8;POS -1
287.011  IEEE         HOR:SCA 200E-6
287.012  IEEE         TRIG:A SETL[D2000]
287.013  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 128
287.014  IEEE         SAVE:WAVE CH2,REF1

287.015  IEEE         MEASU:MEAS1:SOURCE1 CH2;TYP FREQ
287.016  IEEE         MEASU:MEAS1:STATE ON[D4000]
287.017  IEEE         MEASU:MEAS1:VAL?[I]
287.018  MATH         MEM1=1.000;MEM=MEM/1000
287.019  MEMC         1.000kH        0.050U

288.001  IEEE         SEL:REF1 ON;CH3 ON;CH2 OFF
288.002  IEEE         CH3:OFFSET 0.8;POS -1
288.003  IEEE         ACQUIRE:MODE AVERAGE;NUMAVG 16

# Use UUT MEAS facility to find point when 9500 and REF levels coincide
288.004  IEEE         MEASU:MEAS1:SOURCE REF1;TYP HIGH
288.004  IEEE         MEASU:MEAS2:SOURCE CH3;TYP HIGH
288.005  IEEE         MEASU:MEAS1:STATE ON[D2000]
288.006  IEEE         MEASU:MEAS1:VAL?[I]
288.007  MATH         M[1]=MEM
288.008  MATH         M[4]=1;M[6]=0

288.009  LABEL        SETUP_HIGH_LEVEL
288.010  MATH         MEM=M[4];M[6]=M[6]+1

288.011  9500         V                                                 S  L
288.012  IEEE         MEASU:MEAS2:STATE ON[D4000]
288.013  IEEE         MEASU:MEAS2:VAL?[I]
288.014  MATH         M[2]=M[1]-MEM
288.015  MATH         M[3]=ABS(M[2])
288.016  JMPL         END_SETUP_HIGH            M[3] < 0.002
288.017  JMPL         KEEP_GOING                M[6] < 10
288.018  DISP         The procedure cannot setup the 9500 O/P level
288.019  LABEL        KEEP_GOING
288.020  MATH         M[4]=M[2]+M[4]
288.021  JMPL         SETUP_HIGH_LEVEL

288.022  LABEL        END_SETUP_HIGH
288.023  MATH         M[5]=MEM
288.024  IEEE         MEASU:MEAS1:SOURCE REF1;TYP LOW
288.024  IEEE         MEASU:MEAS2:SOURCE CH3;TYP HIGH
288.025  IEEE         MEASU:MEAS1:STATE ON[D2000]
288.026  IEEE         MEASU:MEAS1:VAL?[I]
288.027  MATH         M[1]=MEM
288.028  MATH         M[4]=0.8;M[6]=0

288.029  LABEL        SETUP_LOW_LEVEL
288.030  MATH         MEM=M[4];M[6]=M[6]+1

288.031  9500         V                                                 S  L
288.032  IEEE         MEASU:MEAS2:STATE ON[D4000]
288.033  IEEE         MEASU:MEAS2:VAL?[I]
288.034  MATH         M[2]=M[1]-MEM
288.035  MATH         M[3]=(M[2]*M[2])^0.5
288.036  JMPL         END_SETUP_LOW                M[3] < 0.002
288.037  JMPL         KEEP_GOING_LOW               M[6] < 10
288.038  DISP         The procedure cannot setup the 9500 O/P level

288.039  LABEL        KEEP_GOING_LOW
288.040  MATH         M[4]=M[2]+M[4]
288.041  JMPL         SETUP_LOW_LEVEL

288.042  LABEL        END_SETUP_LOW
288.043  MATH         M[1]=MEM

288.044  MATH         MEM=M[5]-M[1];MEM1=0.2
288.045  MEMC         0.200V         0.040U

289.001  IEEE         *RST;*CLS
289.002  END
